<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class AMicrobanco extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('AMicrobanco_model', 'model');
    }


      /*
     * Listar Inscripciones por Usuario -
     */
    function index()
    {
     if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }

      if(!empty($this->input->post('anio'))){
      	$this->session->set_userdata('microbanco_index_anio', $this->input->post('anio'));
      }

      $anio = $this->session->userdata('microbanco_index_anio');


     	$data['convocatoria_inscripcion'] =  '';
     	$convocatoria = 0;
        if($this->input->post('convocatoria_id') > 0) {
        	$convocatoria = $this->input->post('convocatoria_id');
			$data['convocatoria_inscripcion'] = $convocatoria;
		}

		$data['estado_inscripcion'] =  '';
     	$estado = 0;
        if($this->input->post('m_estado_id') > 0) {
        	$estado = $this->input->post('m_estado_id');
			$data['estado_inscripcion'] = $estado;
		}

		$data['localidad_inscripcion'] =  '';
     	$localidad = 0;
        if($this->input->post('localidad_id') > 0) {
        	$localidad = $this->input->post('localidad_id');
			$data['localidad_inscripcion'] = $localidad;
		}

		$data['asesor_inscripcion'] =  '';
     	$asesor = 0;
        if($this->input->post('asesor_id') > 0) {
        	$asesor = $this->input->post('asesor_id');
			$data['asesor_inscripcion'] = $asesor;
		}

		$data['evaluador_inscripcion'] =  '';
     	$evaluador = 0;
        if($this->input->post('evaluador_id') > 0) {
        	$evaluador = $this->input->post('evaluador_id');
			$data['evaluador_inscripcion'] = $evaluador;
		}

		$data['tareas'] = $this->model->get_administrar_inscripciones($convocatoria, $estado, $localidad, $asesor, $evaluador, $anio);

     	$this->load->model('Convocatoria_model');
		$data['all_convocatorias'] = $this->Convocatoria_model->get_all_convocatorias();

		$this->load->model('Microbanco_estado_model');
		$data['all_estados'] = $this->Microbanco_estado_model->get_all_estados();

		$this->load->model('Localidad_model');
		$data['all_localidades'] = $this->Localidad_model->get_all_localidades();

		$this->load->model('Asesor_model');
		$data['all_asesores'] = $this->Asesor_model->get_all_asesores();

		$this->load->model('Evaluador_model');
		$data['all_evaluadores'] = $this->Evaluador_model->get_all_evaluadores();

		$data['index_anio'] = $anio;

        $data['_view'] = 'a_microbanco/index';
      	$this->load->view('layouts/main',$data);
    }

       /*
     * Listar Inscripciones por id -
     */
    function detalle($inscripcion_id = 0, $anio=2023)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }

      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
      $data['asignacion_estados'] =  $this->model->get_all_inscipcion_historial_estados($inscripcion_id);
      $data['alertas'] = $this->model->get_alertas($inscripcion_id);

      $data['anio'] =$anio;

      $data['_view'] = 'a_microbanco/detalle';
      $this->load->view('layouts/main',$data);
    }

     /*
     * Editing a calefones_inscripcion
     */
    function edit_estado($id)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['inscripcion'] = $this->model->get_inscripcion($id);

        if(isset($data['inscripcion']['id']))
        {
            $this->load->library('form_validation');

           // $this->form_validation->set_rules('localidad_id','Localidad','required');
			//$this->form_validation->set_rules('persona_id','Evaluador','required');
			$this->form_validation->set_rules('fecha','Fecha','required');
			$this->form_validation->set_rules('m_estado_id','Estado de la Inscripci&oacute;n','required');


            if($this->form_validation->run())
            {
                $params = array(
					'm_estado_id' => $this->input->post('m_estado_id'),
                );

                $historial_estado = array(
					'm_estado_id' => $this->input->post('m_estado_id'),
					'inscripcion_id' => $id,
					'fecha' => $this->input->post('fecha'),
					'observaciones' => $this->input->post('observaciones'),
					'created' => date("Y-m-d H:i:s"),
                );

                $this->model->update_inscripcion($id,$params);
                $this->model->add_historial_estados($historial_estado);
                redirect('AMicrobanco/detalle/'.$id);
            }
            else
            {
				$this->load->model('Microbanco_estado_model');
				$data['all_estados'] = $this->Microbanco_estado_model->get_all_estados();

                $data['_view'] = 'a_microbanco/edit_estado';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }

     /*
     * Nuava Alerta
     */
    function add_alerta($id)
    {
	   if (!$this->ion_auth->in_group('ingreso_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }

        $inscripcion = $this->model->get_inscripcion($id);

        if(isset( $inscripcion['id']))
        {
            $this->load->library('form_validation');

			$this->form_validation->set_rules('fecha_alerta','Fecha','required');
			$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
			$this->form_validation->set_rules('detalle','Detalle','max_length[255]');


			if($this->form_validation->run())
            {
                $params = array(
					'inscripcion_id' => $id,
					'fecha_alerta' => $this->input->post('fecha_alerta'),
					'nota' => $this->input->post('nota'),
					'detalle' => $this->input->post('detalle'),
					'creadopor' => $this->session->userdata('ape_nom'),
					'activo' => 1,
					'created' => date("Y-m-d H:i:s"),

                );

                //$this->Notas_calefon_model->update_notas_calefon($id,$params);
                $this->model->add_alerta($params);
                redirect('AMicrobanco/detalle/'.$id);
            }
            else
            {

                $data['inscripcionID'] = $id;
                $data['_view'] = 'a_microbanco/add_alerta';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }

      /*
     * Nueva Alerta
     */
    function edit_alerta($id)
    {
	   if (!$this->ion_auth->in_group('ingreso_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }

        $data['alerta'] = $this->model->get_alerta($id);


        if(isset( $data['alerta']['id']))
        {
            $inscripcion_id = $data['alerta']['inscripcion_id'];
            $this->load->library('form_validation');

			$this->form_validation->set_rules('fecha_alerta','Fecha','required');
			$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
			$this->form_validation->set_rules('detalle','Detalle','max_length[255]');


			if($this->form_validation->run())
            {
                $params = array(
					'fecha_alerta' => $this->input->post('fecha_alerta'),
					'nota' => $this->input->post('nota'),
					'detalle' => $this->input->post('detalle'),
					'creadopor' => $this->session->userdata('ape_nom'),
					'activo' => $this->input->post('activo'),
					'update' => date("Y-m-d H:i:s"),

                );

                //$this->Notas_calefon_model->update_notas_calefon($id,$params);
                $this->model->edit_alerta($id, $params);
                redirect('AMicrobanco/detalle/'.$inscripcion_id);
            }
            else
            {
                $data['_view'] = 'a_microbanco/edit_alerta';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }

     /*
     * Editing a calefones_inscripcion
     */
    function edit_convocatoria($id)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['inscripcion'] = $this->model->get_inscripcion($id);

        if(isset($data['inscripcion']['id']))
        {
            $this->load->library('form_validation');

          	$this->form_validation->set_rules('convocatoria_id','Convocatoria','required');


            if($this->form_validation->run())
            {
                $params = array(
					'convocatoria_id' => $this->input->post('convocatoria_id'),
                );

                $this->model->update_inscripcion($id,$params);
                redirect('AMicrobanco/detalle/'.$id);
            }
            else
            {
				$this->load->model('Convocatoria_model');
				$data['all_convocatorias'] = $this->Convocatoria_model->get_all_convocatorias();

                $data['_view'] = 'a_microbanco/edit_convocatoria';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }


       /*
     * Editing a calefones_inscripcion
     */
    function edit_asesor($id)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['inscripcion'] = $this->model->get_inscripcion($id);

        if(isset($data['inscripcion']['id']))
        {
            $this->load->library('form_validation');

          	$this->form_validation->set_rules('asesor_id','Asesor','required');


            if($this->form_validation->run())
            {
                $params = array(
					'asesor_id' => $this->input->post('asesor_id'),
                );

                $this->model->update_inscripcion($id,$params);
                redirect('AMicrobanco/detalle/'.$id);
            }
            else
            {
				$this->load->model('Asesor_model');
				$data['all_asesores'] = $this->Asesor_model->get_all_asesores();

                $data['_view'] = 'a_microbanco/edit_asesor';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }

         /*
     * Editing a calefones_inscripcion
     */
    function edit_evaluador($id)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['inscripcion'] = $this->model->get_inscripcion($id);

        if(isset($data['inscripcion']['id']))
        {
            $this->load->library('form_validation');

          	$this->form_validation->set_rules('evaluador_id','Evaluador','required');


            if($this->form_validation->run())
            {
                $params = array(
					'evaluador_id' => $this->input->post('evaluador_id'),
                );

                $this->model->update_inscripcion($id,$params);
                redirect('AMicrobanco/detalle/'.$id);
            }
            else
            {
				$this->load->model('Evaluador_model');
				$data['all_evaluadores'] = $this->Evaluador_model->get_all_evaluadores();

                $data['_view'] = 'a_microbanco/edit_evaluador';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }

      function add_inscripcion()
    {
         if (!$this->ion_auth->in_group('ingreso_microbanco'))
      	{
       		redirect('/', 'refresh');
     	}
        $this->load->library('form_validation');

		$this->form_validation->set_rules('ape_nom','Apellido y Nombre','required');
		$this->form_validation->set_rules('dni','Marca','required');
		$this->form_validation->set_rules('tel','Modelo','required');
		$this->form_validation->set_rules('sector','Sector','required');
		$this->form_validation->set_rules('localidad_id','Localidad','required|integer');
		$this->form_validation->set_rules('convocatoria_id','Convotatoria','required|integer');

		if($this->form_validation->run())
        {
            $params = array(
            	'ape_nom' => $this->input->post('ape_nom'),
				'dni' => $this->input->post('dni'),
				'tel' => $this->input->post('tel'),
				'email' => $this->input->post('email'),
				'sector' =>  $this->input->post('sector'),
				'localidad_id' =>  $this->input->post('localidad_id'),
				'convocatoria_id' =>  $this->input->post('convocatoria_id'),
				'anio' => '2023',
				'created'=> date('Y-m-d H:i:s'),
				'user_id' => $this->session->userdata('user_id'),
				'user_nombre' => $this->session->userdata('name'),
            );



            $microbanco_id = $this->model->add_inscripcion($params);

            if ($microbanco_id > 0){
            	redirect('AMicrobanco/detalle/'.$microbanco_id);
            }else{
            	redirect('AMicrobanco/index/');
            }

        }
        else
        {
			$this->load->model('Localidad_model');
			$data['all_localidades'] = $this->Localidad_model->get_all_localidades();

			$this->load->model('Convocatoria_model');
			$data['all_convocatorias'] = $this->Convocatoria_model->get_all_convocatorias();

            $data['_view'] = 'a_microbanco/add_inscripcion';
            $this->load->view('layouts/main',$data);
        }
    }

     function edit_inscripcion($id)
    {
        if (!$this->ion_auth->in_group('ingreso_microbanco'))
      	{
       		redirect('/', 'refresh');
     	}
        $data['inscripcion'] = $this->model->get_inscripcion($id);

        if(isset($data['inscripcion']['id']))
        {
        	$this->load->library('form_validation');

			$this->form_validation->set_rules('ape_nom','Apellido y Nombre','required');
			$this->form_validation->set_rules('dni','Marca','required');
			$this->form_validation->set_rules('tel','Modelo','required');
			$this->form_validation->set_rules('sector','Sector','required');
			$this->form_validation->set_rules('localidad_id','Localidad','required|integer');
			$this->form_validation->set_rules('convocatoria_id','Convotatoria','required|integer');

			if($this->form_validation->run())
	        {
	            $params = array(
	            	'ape_nom' => $this->input->post('ape_nom'),
					'dni' => $this->input->post('dni'),
					'tel' => $this->input->post('tel'),
					'email' => $this->input->post('email'),
					'sector' =>  $this->input->post('sector'),
					'localidad_id' =>  $this->input->post('localidad_id'),
					'convocatoria_id' =>  $this->input->post('convocatoria_id'),
					'update'=> date('Y-m-d H:i:s'),
	            );

	            $microbanco_id = $this->model->update_inscripcion_microbanco($id, $params);
	            redirect('AMicrobanco/detalle/'.$id);
	        }
	        else
	        {
				$this->load->model('Localidad_model');
				$data['all_localidades'] = $this->Localidad_model->get_all_localidades();

				$this->load->model('Convocatoria_model');
				$data['all_convocatorias'] = $this->Convocatoria_model->get_all_convocatorias();

	            $data['_view'] = 'a_microbanco/edit_inscripcion';
	            $this->load->view('layouts/main',$data);
	        }

        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }

    }

     function estados()
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }

      $data['estados'] = $this->model->get_all_count_inscripcion_estados();
      $data['_view'] = 'a_microbanco/estados';
      $this->load->view('layouts/main',$data);
    }

      function elistado($estado)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }


      $data['datos'] = $this->model->get_all_inscripciones_estado($estado);
      $data['_view'] = 'a_microbanco/elistado';
      $this->load->view('layouts/main',$data);
    }


     /*
     * Editing a calefones_inscripcion
     */
    function edit_historial($id)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['inscripcion'] = $this->model->get_edit_hitorial_estado($id);

        if(isset($data['inscripcion']['id']))
        {
            $this->load->library('form_validation');

            $this->form_validation->set_rules('fecha','Fecha','required');
			$this->form_validation->set_rules('m_estado_id','Estado de la Inscripci&oacute;n','required');


            if($this->form_validation->run())
            {
               // $params = array(
				//	'm_estado_id' => $this->input->post('m_estado_id'),
               // );

                $historial_estado = array(
					'm_estado_id' => $this->input->post('m_estado_id'),
					'fecha' => $this->input->post('fecha'),
					'observaciones' => $this->input->post('observaciones'),
					'updated' => date("Y-m-d H:i:s"),
                );

              //  $this->model->update_inscripcion($id,$params);
                $this->model->update_historial_estados($id, $historial_estado);
                redirect('AMicrobanco/detalle/'.$data['inscripcion']['inscripcion_id']);
            }
            else
            {
				$this->load->model('Microbanco_estado_model');
				$data['all_estados'] = $this->Microbanco_estado_model->get_all_estados();

                $data['_view'] = 'a_microbanco/edit_historial';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('AMicrobanco');
        }
    }

     /*
     * Deleting persona
     */
    function remove_historial($id)
    {
        $historial = $this->model->get_edit_hitorial_estado($id);

        // check if the historial exists before trying to delete it
        if(isset($historial['id']))
        {
            $this->model->delete_historial($id);
              redirect('AMicrobanco/detalle/'.$historial['inscripcion_id']);
        }
        else
            show_error('ERROR AL intentar Eliminar el Historial.');
    }

    /*$params = array('isDelete'=>1,'deleteFecha'=>date('Y-m-d H:i:s'));
            $proyecto = $this->Proyecto_model->update_proyecto($id,$params);
            if ($proyecto > 0)
            {
            	$process = 'Eliminar Proyecto';
                $processFunction = 'Proyecto/remove';
                $this->logrecord($process,$processFunction);
            	$this->session->set_flashdata('success', 'Proyecto Eliminado Exitosamente');
            }
            else
            {
            	$this->session->set_flashdata('error', 'Falla en la Eliminaci&oacute;n del Proyecto');
            }  */



}
