<?php

class Actividad extends CI_Controller{
    function __construct()
    {
        parent::__construct();

       	if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('Actividad_model', 'model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
        $data['actividades'] = $this->model->get_all_actividades();

        $data['_view'] = 'actividades/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new estado
     */
    function add()
    {
        if(isset($_POST) && count($_POST) > 0)
        {
            $params = array(
					'fecha' => $this->input->post('fecha'),
					'detalle' => $this->input->post('detalle'),
					'responsableId' => $this->input->post('responsableId'),
					'estado' => $this->input->post('estado'),
					'observaciones' => $this->input->post('observaciones'),
					'updated' => date("Y-m-d H:i:s"),
                );

            $actividad_id = $this->model->add_actividad($params);
            redirect('actividades/index');
        }
        else
        {
            $data['_view'] = 'actividades/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a estado
     */
    function edit($id)
    {
        // check if the estado exists before trying to edit it
        $data['actividad'] = $this->model->get_actividad($id);

        if(isset($data['actividad']['id']))
        {
            if(isset($_POST) && count($_POST) > 0)
            {
                $params = array(
					'fecha' => $this->input->post('fecha'),
					'detalle' => $this->input->post('detalle'),
					'responsableId' => $this->input->post('responsableId'),
					'estado' => $this->input->post('estado'),
					'observaciones' => $this->input->post('observaciones'),
					'updated' => date("Y-m-d H:i:s"),
                );

                $this->model->update_actividad($id,$params);
                redirect('actividades/index');
            }
            else
            {
                $data['_view'] = 'actividades/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('The estado you are trying to edit does not exist.');
    }

    /*
     * Deleting estado
     */
    function remove($id)
    {
        $actividad = $this->model->get_actividad($id);

        // check if the estado exists before trying to delete it
        if(isset($actividad['id']))
        {
            $this->model->delete_actividad($id);
            redirect('actividades/index');
        }
        else
            show_error('The estado you are trying to delete does not exist.');
    }

}
