<?php


class Alertas extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Alerta_model');
        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}

    }

    /*
     * Listing of notas_calefones
     */
    function index()
    {
        $data['notas_calefones'] = $this->Alerta_model->get_all_notas_calefones();

        $data['_view'] = 'alertas/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new notas_calefon
     */
    function add()
    {
        $this->load->library('form_validation');

		$this->form_validation->set_rules('isDelete','IsDelete','required');
		$this->form_validation->set_rules('calefones_insccripcion_id','Calefones Insccripcion Id','required|integer');
		$this->form_validation->set_rules('fecha','Fecha','required');
		$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
		$this->form_validation->set_rules('detalle','Detalle','max_length[255]');
		$this->form_validation->set_rules('creadopor','Creadopor','required|integer');
		$this->form_validation->set_rules('created','Created','required');
		$this->form_validation->set_rules('update','Update','required');

		if($this->form_validation->run())
        {
            $params = array(
				'isDelete' => $this->input->post('isDelete'),
				'calefones_inscripcion_id' => $this->input->post('calefones_inscripcion_id'),
				'fecha' => $this->input->post('fecha'),
				'nota' => $this->input->post('nota'),
				'detalle' => $this->input->post('detalle'),
				'creadopor' => $this->input->post('creadopor'),
				'created' => $this->input->post('created'),
				'update' => $this->input->post('update'),
				'deleteFecha' => $this->input->post('deleteFecha'),
            );

            $notas_calefon_id = $this->Alerta_model->add_notas_calefon($params);
            redirect('alertas/index');
        }
        else
        {
			$this->load->model('Calefones_inscripcion_model');
			$data['all_calefones_inscripciones'] = $this->Calefones_inscripcion_model->get_all_calefones_inscripciones();

            $data['_view'] = 'alertas/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a notas_calefon
     */
    function edit($id)
    {
        // check if the notas_calefon exists before trying to edit it
        $data['notas_calefon'] = $this->Alerta_model->get_notas_calefon($id);

        if(isset($data['notas_calefon']['id']))
        {
            $this->load->library('form_validation');

			$this->form_validation->set_rules('isDelete','IsDelete','required');
			$this->form_validation->set_rules('calefones_insccripcion_id','Calefones Insccripcion Id','required|integer');
			$this->form_validation->set_rules('fecha','Fecha','required');
			$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
			$this->form_validation->set_rules('detalle','Detalle','max_length[255]');
			$this->form_validation->set_rules('creadopor','Creadopor','required|integer');
			$this->form_validation->set_rules('created','Created','required');
			$this->form_validation->set_rules('update','Update','required');

			if($this->form_validation->run())
            {
                $params = array(
					'isDelete' => $this->input->post('isDelete'),
					'calefones_insccripcion_id' => $this->input->post('calefones_insccripcion_id'),
					'fecha' => $this->input->post('fecha'),
					'nota' => $this->input->post('nota'),
					'detalle' => $this->input->post('detalle'),
					'creadopor' => $this->input->post('creadopor'),
					'created' => $this->input->post('created'),
					'update' => $this->input->post('update'),
					'deleteFecha' => $this->input->post('deleteFecha'),
                );

                $this->Notas_calefon_model->update_notas_calefon($id,$params);
                redirect('alertas/index');
            }
            else
            {
				$this->load->model('Calefones_inscripcion_model');
				$data['all_calefones_inscripciones'] = $this->Calefones_inscripcion_model->get_all_calefones_inscripciones();

                $data['_view'] = 'eventos/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('The notas_calefon you are trying to edit does not exist.');
    }

    /*
     * Deleting notas_calefon
     */
    function remove($id)
    {
        $notas_calefon = $this->Alerta_model->get_notas_calefon($id);

        // check if the notas_calefon exists before trying to delete it
        if(isset($notas_calefon['id']))
        {
            $this->Notas_calefon_model->delete_notas_calefon($id);
            redirect('alertas/index');
        }
        else
            show_error('The notas_calefon you are trying to delete does not exist.');
    }

}
