<?php
/*
 * Generated by CRUDigniter v3.2
 * www.crudigniter.com
 */

class Estado extends CI_Controller{
    function __construct()
    {
        parent::__construct();

       	if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}

        $this->load->model('Estado_model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
        $data['estados'] = $this->Estado_model->get_all_estados();

        $data['_view'] = 'estado/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new estado
     */
    function add()
    {
        if(isset($_POST) && count($_POST) > 0)
        {
            $params = array(
				'activo' => $this->input->post('activo'),
				'proyecto_id' => $this->input->post('proyecto_id'),
				'estado_nombre' => $this->input->post('estado_nombre'),
				'color' => $this->input->post('color'),
				'icono' => $this->input->post('icono'),
				'orden' => $this->input->post('orden'),
				'color_hex' => $this->input->post('color_hex'),
            );

            $estado_id = $this->Estado_model->add_estado($params);
            redirect('estado/index');
        }
        else
        {
            $data['_view'] = 'estado/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a estado
     */
    function edit($id)
    {
        // check if the estado exists before trying to edit it
        $data['estado'] = $this->Estado_model->get_estado($id);

        if(isset($data['estado']['id']))
        {
            if(isset($_POST) && count($_POST) > 0)
            {
                $params = array(
					'activo' => $this->input->post('activo'),
					'proyecto_id' => $this->input->post('proyecto_id'),
					'estado_nombre' => $this->input->post('estado_nombre'),
					'color' => $this->input->post('color'),
					'icono' => $this->input->post('icono'),
					'orden' => $this->input->post('orden'),
					'color_hex' => $this->input->post('color_hex'),
                );

                $this->Estado_model->update_estado($id,$params);
                redirect('estado/index');
            }
            else
            {
                $data['_view'] = 'estado/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('The estado you are trying to edit does not exist.');
    }

    /*
     * Deleting estado
     */
    function remove($id)
    {
        $estado = $this->Estado_model->get_estado($id);

        // check if the estado exists before trying to delete it
        if(isset($estado['id']))
        {
            $this->Estado_model->delete_estado($id);
            redirect('estado/index');
        }
        else
            show_error('The estado you are trying to delete does not exist.');
    }

}
