<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Microbanco extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('Microbanco_model', 'model');
    }

    function index()
    {
       $convocatorias = $this->model->get_cant_convocatorias();
       $total= 0;
       $talabels = $tasdata = $tcolor = '';
    	foreach($convocatorias as $c)
        {
           $total += $c['cantidad'];
           $talabels        .= '"'.$c['convocatoria'].'",';
           $tcolor        .= '"'.$c['color_hex'].'",';
           $tasdata  .= $c['cantidad']. ',';
        }

        $data['talabels'] = $talabels;
        $data['tasdata'] = $tasdata;
        $data['tascolor'] = $tcolor;
        $data['convocatorias'] = $convocatorias;
        $data['total_inscriptos'] =$total;


        $data['_view'] = 'microbanco/microbanco';
        $this->load->view('layouts/main',$data);
    }
      /*
     * Listar Todas las Inscripciones
     */
    function inscripciones()
    {
        $data['convocatoria'] =  '';
     	$convocatoria_id = 0;
        if($this->input->post('convocatoria_id') > 0) {
        	$convocatoria_id = $this->input->post('convocatoria_id');
			$data['convocatoria'] = $convocatoria_id;
		}

		$data['estado_inscripcion'] =  '';
     	$estado = 0;
        if($this->input->post('m_estado_id') > 0) {
        	$estado = $this->input->post('m_estado_id');
			$data['estado_inscripcion'] = $estado;
		}

		$data['localidad_inscripcion'] =  '';
     	$localidad = 0;
        if($this->input->post('localidad_id') > 0) {
        	$localidad = $this->input->post('localidad_id');
			$data['localidad_inscripcion'] = $localidad;
		}

        $data['datos'] = $this->model->get_all_inscripciones($convocatoria_id, $estado, $localidad);

		$this->load->model('Convocatoria_model');
		$data['all_convocatorias'] = $this->Convocatoria_model->get_all_convocatorias();

		$this->load->model('Microbanco_estado_model');
		$data['all_estados'] = $this->Microbanco_estado_model->get_all_estados();

		$this->load->model('Localidad_model');
		$data['all_localidades'] = $this->Localidad_model->get_all_localidades();

        $data['_view'] = 'microbanco/inscripciones_all';
      	$this->load->view('layouts/main',$data);
    }

     /*
     * Listar Inscripciones por Convocatoria
     */
     function listado($convocatoria = 0)
    {
    	/*$data['persona_inscripcion'] =  '';
		$persona=0;
		if($this->input->post('persona_id') > 0) {
			$persona = $this->input->post('persona_id');
			$data['persona_inscripcion'] = $persona;
		}   */

    	$data['datos'] = $this->model->get_all_inscripciones($convocatoria);

        //$this->load->model('Persona_model');
		//$data['all_personas'] = $this->Persona_model->get_all_personas();
        $data['convocatoria'] = $convocatoria;

        $data['_view'] = 'microbanco/listado';
        $this->load->view('layouts/main',$data);
    }

     /*
     * Listar Inscripciones por Convocatoria
     */
     function elistado($convocatoria = 0, $estado = 0)
	    {
	    	/*$data['persona_inscripcion'] =  '';
			$persona=0;
			if($this->input->post('persona_id') > 0) {
				$persona = $this->input->post('persona_id');
				$data['persona_inscripcion'] = $persona;
			}   */

	    	$data['datos'] = $this->model->get_all_inscripciones_convocatoria_estado($convocatoria, $estado);

	        //$this->load->model('Persona_model');
			//$data['all_personas'] = $this->Persona_model->get_all_personas();
	        $data['convocatoria'] = $convocatoria;
            $data['convocatoriaID'] = $convocatoria;
	        $data['_view'] = 'microbanco/elistado';
	        $this->load->view('layouts/main',$data);
	    }

     /*
     * Listar Inscripciones por Convocatoria y Localidad
     */
     function xlocalidad($convocatoria = 0)
    {
    	$localidades = $this->model->get_all_inscripciones_localidades($convocatoria);

    	 $talabels = $tasdata =  '';
    	 $convocatoria_nombre = $convocatoria_color = '#0074d9';
    	foreach($localidades as $l)
        {
           $talabels        .= '"'.$l['localidad'].'",';
           $tasdata  .= $l['cantidad']. ',';
           $convocatoria_nombre = $l['convocatoria'];
           $convocatoria_color =  $l['color_hex'];

        }

        $data['talabels'] = $talabels;
        $data['tasdata'] = $tasdata;
        $data['convocatoria'] = $convocatoria;
        $data['c_nombre'] =  $convocatoria_nombre;
        $data['c_color'] =  $convocatoria_color;

        $data['_view'] = 'microbanco/xlocalidad';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Listar Inscripciones por Convocatoria y Estados
     */
     function xestados($convocatoria = 0)
    {
    	$estados = $this->model->get_all_inscripciones_estados($convocatoria);
    	$talabels = $tasdata =  $tcolor = '';
    	$convocatoria_nombre = $convocatoria_color = '#0074d9';
    	foreach($estados as $l)
        {
           $talabels        .= '"'.$l['estado_nombre'].'",';
           $tasdata  .= $l['cantidad']. ',';
           $tcolor        .= '"'.$l['color_hex'].'",';
           $convocatoria_nombre = $l['convocatoria'];

        }

        $data['talabels'] = $talabels;
        $data['tasdata'] = $tasdata;
        $data['estados'] = $estados;
        $data['c_nombre'] =  $convocatoria_nombre;
        $data['tascolor'] =  $tcolor;

        $data['_view'] = 'microbanco/xestados';
        $this->load->view('layouts/main',$data);
    }


      /*
     * Listar Inscripciones por Usuario -
     */
     function inscriptos()
    {
      // si es usuario administrador listar todas - sino por user_id
     // if ($estado > 0)
    //  {
      	$data['tareas'] = $this->CalefonProyecto_model->get_administrar_inscripciones();
     // }else {
     // 	$data['tareas'] = array();
     // }
         $data['_view'] = 'calefones/listado_administrar';
      $this->load->view('layouts/main',$data);
    }

        /*
     * Listar Todas las Inscripciones -
     */
    function tdetalle($inscripcion_id = 0)
    {

      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
     // $data['asignacion_estados'] = $this->CalefonProyecto_model->get_all_inscipcion_historial_estados($inscripcion_id);
      $data['asignacion_estados'] = array();
      $data['_view'] = 'microbanco/detalle_all';
      $this->load->view('layouts/main',$data);
    }

         /*
     * Listar Detalle de la Inscripcin  -
     */
    function detalle($inscripcion_id = 0)
    {
      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
      $data['asignacion_estados'] = array();
      //$data['asignacion_estados'] = $this->CalefonProyecto_model->get_all_inscipcion_historial_estados($inscripcion_id);
      /*$data['movimientos'] = array();
	  if ($data['inscripcion']['estado_id'] == 7)
	   {
	   	 if ($data['inscripcion']['co_id'] > 0) {
		    $data['movimientos'] =  $this->CalefonProyecto_model->get_movimientos($data['inscripcion']['co_id']);
	   	 }
	   } */

      $data['_view'] = 'microbanco/detalle';
      $this->load->view('layouts/main',$data);
    }

     function alertas()
    {

    	$data['alertas'] = $this->model->get_alertas();
        $data['_view'] = 'microbanco/index_alertas';
        $this->load->view('layouts/main',$data);
    }

}
