<?php


class Microbanco_credito extends CI_Controller{
    function __construct()
    {
        parent::__construct();

       	if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('Microbanco_credito_model', 'model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
      //if (!$this->ion_auth->in_group('microbanco_creditos'))
      //{
      // redirect('/', 'refresh');
      //}

      if(!empty($this->input->post('anio'))){      	$this->session->set_userdata('microbanco_anio', $this->input->post('anio'));
      }

      $anio = $this->session->userdata('microbanco_anio');

		$data['credito_x_anio'] = $anio;
        $data['creditos'] = $this->model->get_all_creditos($anio);
        $data['cant_creditos']= count($data['creditos']);
        $data['pagos'] = $this->model->get_resumen_pagos($anio);
        $data['depositado']= $this->model->get_total_depositado($anio);
        $data['cant_finalizado']= $this->model->get_cantidad_finalizado($anio);

        $data['_view'] = 'm_credito/index';
        $this->load->view('layouts/main',$data);
    }

    function detalle($id = 0)
    {
     //if (!$this->ion_auth->in_group('microbanco_creditos'))
     // {
      // redirect('/', 'refresh');
     // }
      $data['credito'] = $this->model->get_credito_detalle($id);
      $creditos_cuotas =  $this->model->get_credito_cuotas($id);
     // $data['datos_cuotas'] = $this->model->get_creditos_cuotas_impagas($id);

		$total_credito = 0;
		$total_pagado = 0;
		$total_mora = 0;
		$cant_mora_cuota = 0;
		$interes_mora = 0;

		// Total a pagar del vencimiento
		$total_a_pagar = 0;

		$date = date('Y-m-d');
		foreach($creditos_cuotas as $cuota)
        {
           $total_credito +=  $cuota['monto_cuota'];
           $total_pagado += $cuota['monto_depositado'];

           if( ($cuota['monto_depositado'] <= 1) and ($cuota['diasven'] > 0)){           	//if( ($a['microbanco_credito_id'] > 240 ) || ($a['nro_cuota'] == 216)){             $total_mora += $cuota['monto_cuota'];
             $cant_mora_cuota++;
             $interes_mora += $cuota['monto_cuota']* $cuota['diasven'] * 0.0015;
            // }
           }else {           	 $interes_mora +=  $cuota['mora'];
           }

           if($cuota['fecha_vencimiento'] < $date){
            $total_a_pagar += $cuota['monto_cuota'];
           }
        }

        $datos_mora = array('total_credito' => $total_credito,
        				'total_pagado' => $total_pagado,
        				'total_mora' => $total_mora,
        				'cant_mora_cuota' => $cant_mora_cuota,
        				'interes_mora' => $interes_mora,
        				'fecha_consulta' => date("Y-m-d"),

        				'total_a_pagar' => $total_a_pagar
        				);

      $data['datos_mora'] = $datos_mora;
      $data['credito_cuotas'] = $creditos_cuotas;

      $data['_view'] = 'm_credito/detalle';
      $this->load->view('layouts/main',$data);
    }

     /*
     * Listing of estados
     */
    function add_index()
    {
    	if (!$this->ion_auth->in_group('ingreso_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }

        $data['creditos'] = $this->model->get_agregar_all_creditos();

        $data['_view'] = 'm_credito/add_index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new estado
     */
    function add($id)
    {
    	if (!$this->ion_auth->in_group('ingreso_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }

    	 $data['credito'] = $this->model->get_inscripcion($id);

        if(isset($data['credito']['id']))
        {
	         $this->load->library('form_validation');

          	$this->form_validation->set_rules('fecha_otorgamiento','Fecha','required');
			$this->form_validation->set_rules('monto_otorgamiento','Monto','required|greater_than[0]');
			$this->form_validation->set_rules('cant_meses','Cantidad de Meses','required|greater_than[0]');
			$this->form_validation->set_rules('anio','A&ntilde;o','required|greater_than[0]');


            if($this->form_validation->run())
            {
	            $params = array(
	            		'microbanco_dato_id' => $id,
						'expediente_nro' => $this->input->post('expediente_nro'),
						'resolucion' => $this->input->post('resolucion'),
						'actividad' => $this->input->post('actividad'),
						'fecha_otorgamiento' => $this->input->post('fecha_otorgamiento'),
						'cant_meses' => $this->input->post('cant_meses'),
						'meses_gracia' => $this->input->post('meses_gracia'),
						'monto_otorgamiento' => $this->input->post('monto_otorgamiento'),
						'anio' => $this->input->post('anio'),
						'user_id' => $this->session->userdata('user_id'),
						'user_nombre' => $this->session->userdata('name'),
						'created' => date("Y-m-d H:i:s"),
	                );

	            $credito_id = $this->model->add_credito($params);

	            if ($credito_id > 0){
	            	redirect('Microbanco_credito/detalle/'.$credito_id);
	         	}else {
	            	redirect('Microbanco_credito/index');
	            }
	        }
	        else
	        {

	            $data['all_anios'] = array(array('id'=>(date("Y")-1) , 'anio'=>(date("Y")-1)),
	            				   array('id'=>date("Y") , 'anio'=>date("Y")),
	            				   array('id'=>(date("Y")+1) , 'anio'=>(date("Y")+1))
	            				   );

	            $data['_view'] = 'm_credito/add';
	            $this->load->view('layouts/main',$data);
	        }
	     }
	     else
            show_error('Datos NO encontrados.');
    }

    /*
     * Editing a estado
     */
    function edit($id)
    {
        if (!$this->ion_auth->in_group('ingreso_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }
        // check if the estado exists before trying to edit it
        $data['credito'] = $this->model->get_credito($id);

        if(isset($data['credito']['id']))
        {
              $this->load->library('form_validation');

          	$this->form_validation->set_rules('fecha_otorgamiento','Fecha','required');
			$this->form_validation->set_rules('monto_otorgamiento','Monto','required|greater_than[0]');
			$this->form_validation->set_rules('cant_meses','Cantidad de Meses','required|greater_than[0]');
			$this->form_validation->set_rules('anio','A&ntilde;o','required|greater_than[0]');


            if($this->form_validation->run())
            {
                $params = array(
					'expediente_nro' => $this->input->post('expediente_nro'),
					'resolucion' => $this->input->post('resolucion'),
					'anio' => $this->input->post('anio'),
					'actividad' => $this->input->post('actividad'),
					'fecha_otorgamiento' => $this->input->post('fecha_otorgamiento'),
					'cant_meses' => $this->input->post('cant_meses'),
					'meses_gracia' => $this->input->post('meses_gracia'),
					'monto_otorgamiento' => $this->input->post('monto_otorgamiento'),
                );

                $this->model->update_credito($id,$params);
                redirect('Microbanco_credito/detalle/'. $id);
            }
            else
            {

                $data['_view'] = 'm_credito/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('Datos NO encontrados.');
    }


     function plan_cuotas($id)
    {
    	if (!$this->ion_auth->in_group('ingreso_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }
        // check if the estado exists before trying to edit it
        $data['credito'] = $this->model->get_credito($id);

        if(isset($data['credito']['id']))
        {
        	$this->load->library('form_validation');

          	$this->form_validation->set_rules('fecha_otorgamiento','Fecha','required');
			$this->form_validation->set_rules('monto_otorgamiento','Monto','required|greater_than[0]');
			$this->form_validation->set_rules('cant_meses','Cantidad de Meses','required|greater_than[0]');
			$this->form_validation->set_rules('tasa_interes','Tasa de Inter&eacute;s','required|greater_than[0]');


            if($this->form_validation->run())
            {
                   $params = array(
                   	'id'=> $id,
                    'monto_otorgamiento' => $this->input->post('monto_otorgamiento'),
                    'cant_meses' => $this->input->post('cant_meses'),
                    'tasa_interes'=> $this->input->post('tasa_interes'),
					'fecha_inicio' => $this->input->post('fecha_otorgamiento'),
					'meses_gracia' => $this->input->post('meses_gracia')
                   );

                  //$this->cuotas($id, $params);
                  $monto = $params['monto_otorgamiento'];
		          $cant_meses = $params['cant_meses'];
		          $meses_gracia = $params['meses_gracia'];
		          $tasa_diaria =  $params['tasa_interes']/365;

		          $fecha_inicio_cuota = '2023-02-15'; //Fecha de la que queramos saber el nmero de das que tiene el mes.
		          //$fecha_inicio_cuota = $params['fecha_inicio'];
		          $cant_dias = date( 't', strtotime( $fecha_inicio_cuota ));
		          $fecha =  date("d-m-Y",strtotime($fecha_inicio_cuota."+ ".$cant_dias." days"));
		          $cant_dias_final = date( 't', strtotime( $fecha ));

		          $fecha_inicio_actual = $params['fecha_inicio'];
		          $cant_dias_actual = date( 't', strtotime( $fecha_inicio_actual ));
		          $fecha_actual =  date("d-m-Y",strtotime($fecha_inicio_actual ."+ ".$cant_dias_actual." days"));

		          $monto_mensual = $monto / $cant_meses;

		          $datos = array();
		          $monto_actual =  $monto;
		          for ($i=1;$i<=($cant_meses+$meses_gracia);$i++)
				    {
				       $intereses_devengados= ($monto_actual*$tasa_diaria*$cant_dias)/100;
				       //$intereses_devengados= ($monto_actual*$tasa_diaria*$cant_dias_final)/100;
				   	   $iva_interes= $intereses_devengados*0.21;

				   	  // echo $meses_gracia .'<='.$i;

				   	   if ($meses_gracia >=$i){
				   	    $datos[$i-1]= array('microbanco_credito_id'=>$id,'nro_cuota'=>$i, 'fecha_vencimiento'=>$fecha_actual,'monto_cuota'=>$intereses_devengados+$iva_interes);
                         // echo 'si'.'<br>' ;
				   	   }else {
				   	   $datos[$i-1]= array('microbanco_credito_id'=>$id,'nro_cuota'=>$i, 'fecha_vencimiento'=>$fecha_actual,'monto_cuota'=>$monto_mensual+ $intereses_devengados+$iva_interes);
                       $monto_actual = $monto_actual - $monto_mensual;
                        //echo 'no'.'<br>';
                       }

				       $cant_dias = date( 't', strtotime( $fecha ));
		          	   $fecha =  date("d-m-Y",strtotime($fecha."+ ".$cant_dias." days"));
		          	   $cant_dias_final = date( 't', strtotime( $fecha ));

		          	   //actual
		          	   $cant_dias_actual = date( 't', strtotime( $fecha_actual ));
		          	   $fecha_actual =  date("d-m-Y",strtotime($fecha_actual ."+ ".$cant_dias_actual." days"));
				    }
				  //  exit;

				$data['credito'] =  $params;
				$data['cuotas'] =  $datos;
                $data['_view'] = 'm_credito/verificar_cuotas';
                $this->load->view('layouts/main',$data);
            }
            else
            {
                $data['_view'] = 'm_credito/plan_cuotas';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('Datos NO encontrados.');
    }

    function editar_plan_cuotas($id)
    {
    	if (!$this->ion_auth->is_admin())
	      {
	       redirect('/', 'refresh');
	      }
        // check if the estado exists before trying to edit it
        $data['credito'] = $this->model->get_credito($id);
        $data['credito_cuotas'] =  $this->model->get_credito_cuotas_edit($id);

        if(isset($data['credito']['id']))
        {

         	$this->load->library('form_validation');

          	$this->form_validation->set_rules('fecha_otorgamiento','Fecha','required');
			$this->form_validation->set_rules('monto_otorgamiento','Monto','required|greater_than[0]');
			$this->form_validation->set_rules('cant_meses','Cantidad de Meses','required|greater_than[0]');
			$this->form_validation->set_rules('tasa_interes','Tasa de Inter&eacute;s','required|greater_than[0]');


            if($this->form_validation->run())
            {                   $params = array(
                   	'id'=> $id,
                    'monto_otorgamiento' => $this->input->post('monto_otorgamiento'),
                    'cant_meses' => $this->input->post('cant_meses'),
                    'tasa_interes'=> $this->input->post('tasa_interes'),
					'fecha_inicio' => $this->input->post('fecha_otorgamiento'),
					'meses_gracia' => $this->input->post('meses_gracia')
                   );

                   $cuotas = $data['credito_cuotas'];

                  //$this->cuotas($id, $params);
                  $monto = $params['monto_otorgamiento'];
		          $cant_meses = $params['cant_meses'];
		          $meses_gracia = $params['meses_gracia'];
		          $tasa_diaria =  $params['tasa_interes']/365;

		         // $fecha_inicio_cuota = '2022-02-15'; //Fecha de la que queramos saber el nmero de das que tiene el mes.
		          $fecha_inicio_cuota = '2022-06-15'; //Fecha de la que queramos saber el nmero de das que tiene el mes.
		         // $fecha_inicio_cuota = $params['fecha_inicio'];
		          $cant_dias = date( 't', strtotime( $fecha_inicio_cuota ));
		          $fecha =  date("d-m-Y",strtotime($fecha_inicio_cuota."+ ".$cant_dias." days"));
		          //porque toman mal la cantidad de dias - toman del mes de la cuota vencida
		          $cant_dias_final = date( 't', strtotime( $fecha ));

		          $fecha_inicio_actual = $params['fecha_inicio'];
		          $cant_dias_actual = date( 't', strtotime( $fecha_inicio_actual ));
		          $fecha_actual =  date("d-m-Y",strtotime($fecha_inicio_actual ."+ ".$cant_dias_actual." days"));

		          $monto_mensual = $monto / $cant_meses;

		          $datos = array();
		          $monto_actual =  $monto;
		          $i = 1;
		          foreach($cuotas as $clave => $valor)
				    {
				       $intereses_devengados= ($monto_actual*$tasa_diaria*$cant_dias)/100;
				      // $intereses_devengados= ($monto_actual*$tasa_diaria*$cant_dias_final)/100;
				   	   $iva_interes= $intereses_devengados*0.21;

				   	  // echo $meses_gracia .'<='.$i. '</br>';

				   	   if ($meses_gracia >=$i){
				   	    $cuotas[$clave]['fecha_vencimiento']= $fecha_actual;
                        $cuotas[$clave]['monto_cuota']=$intereses_devengados+$iva_interes;
                         // echo 'si'.'<br>' ;
				   	   }else {
				   	    $cuotas[$clave]['fecha_vencimiento']= $fecha_actual;
                        $cuotas[$clave]['monto_cuota']=$monto_mensual+ $intereses_devengados+$iva_interes;
                        $cuotas[$clave]['cant_dia']=$cant_dias;
				   	    $monto_actual = $monto_actual - $monto_mensual;
                        //echo 'no'.'<br>';
                       }

				       $cant_dias = date( 't', strtotime( $fecha ));
		          	   $fecha =  date("d-m-Y",strtotime($fecha."+ ".$cant_dias." days"));
		          	   $cant_dias_final = date( 't', strtotime( $fecha ));

		          	   //actual
		          	   $cant_dias_actual = date( 't', strtotime( $fecha_actual ));
		          	   $fecha_actual =  date("d-m-Y",strtotime($fecha_actual ."+ ".$cant_dias_actual." days"));
		          	   $i++;
				    }
				  //  exit;

					$data['credito'] =  $params;
					$data['cuotas'] =  $cuotas;
                	$data['_view'] = 'm_credito/editar_verificar_cuotas';
                	$this->load->view('layouts/main',$data);
           		 }
             	else
            	{
               		$data['_view'] = 'm_credito/editar_plan_cuotas';
                	$this->load->view('layouts/main',$data);
            	}
        	}
        	else
            	show_error('Datos NO encontrados.');
     	}




     /*
     * Editing a estado
     */
    function verificar_cuotas($id)
    {
      if (!$this->ion_auth->in_group('ingreso_microbanco'))
      {
       redirect('/', 'refresh');
      }
     // check if the estado exists before trying to edit it
        $data['credito'] = $this->model->get_credito($id);

        if(isset($data['credito']['id']))
        {
            if(isset($_POST) && count($_POST) > 0)
             {
                 $cant_meses = $this->input->post('cant_meses');
                 $meses_gracia = $this->input->post('meses_gracia');
                 $tasa_interes = $this->input->post('tasa_interes');
                 $monto = $this->input->post('monto_otorgamiento');



                   $cuotas = array();
                   $total=0;

                   for ($i = 0; $i < ($cant_meses+$meses_gracia); $i++) {
					    $cuotas[$i]= array('microbanco_credito_id'=> $id,
					    					'nro_cuota'=>$this->input->post('nro_cuota['.$i.']'),
					    					'fecha_vencimiento'=> date("Y-m-d", strtotime( $this->input->post('fecha_vencimiento['.$i.']') )),
					    					'monto_cuota'=>$this->input->post('monto_cuota['.$i.']'),
					    					'tasa_interes'=> $tasa_interes,
					    					'user_id' => $this->session->userdata('user_id'),
											'user_nombre' => $this->session->userdata('name'),
											'created' => date("Y-m-d H:i:s"),
					    					);
					    $total +=$this->input->post('monto_cuota['.$i.']');
					}

					$update_credito = array(
                    'monto_otorgamiento' => $monto,
                    'cant_meses' => $cant_meses,
                    'meses_gracia' => $meses_gracia,
                    'tasa_interes'=> $tasa_interes,
                    'total_credito'=> $total,
                    'gerenar_cuota'=> 1,
                    'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
					'updated' => date("Y-m-d H:i:s"),
                   );

				   $this->model->update_credito($id,$update_credito);
				   $this->model->insert_cuotas($cuotas);
                   redirect('Microbanco_credito/detalle/'. $id);
             }

        }
        else
            show_error('Datos NO encontrados.');
    }

    function editar_verificar_cuotas($id)
    {
      if (!$this->ion_auth->is_admin())
	      {
	       redirect('/', 'refresh');
	      }
     // check if the estado exists before trying to edit it
        $data['credito'] = $this->model->get_credito($id);

        if(isset($data['credito']['id']))
        {
            if(isset($_POST) && count($_POST) > 0)
             {
                 $cant_meses = $this->input->post('cant_meses');
                 $meses_gracia = $this->input->post('meses_gracia');
                 $tasa_interes = $this->input->post('tasa_interes');
                 $monto = $this->input->post('monto_otorgamiento');


                   $cuotas = array();
                   $total=0;

                   for ($i = 0; $i < ($cant_meses+$meses_gracia); $i++) {
					    $cuotas[$i]= array('id'=> $this->input->post('id['.$i.']'),
					    					'fecha_vencimiento'=> date("Y-m-d", strtotime( $this->input->post('fecha_vencimiento['.$i.']') )),
					    					'monto_cuota'=>$this->input->post('monto_cuota['.$i.']'),
					    					);
					    $total +=$this->input->post('monto_cuota['.$i.']');
					}

					$update_credito = array(
                    'total_credito'=> $total,
                   );

				   $this->model->update_credito($id,$update_credito);
				   $this->model->update_all_cuotas($cuotas);
                   redirect('Microbanco_credito/detalle/'. $id);
             }

        }
        else
            show_error('Datos NO encontrados.');
    }

      /*
     * Editing a estado
     */
    function cuota_edit($id)
    {
      if (!$this->ion_auth->in_group('microbanco_creditos'))
      {
       redirect('/', 'refresh');
      }
        // check if the estado exists before trying to edit it
        $data['cuota'] = $this->model->get_cuota($id);

        if(isset($data['cuota']['id']))
        {
            $this->load->library('form_validation');
			$this->form_validation->set_rules('monto_depositado','Monto Depositado','required|greater_than[0]');


            if($this->form_validation->run())
            {
                //calcular mora para los pago fuera de fecha y otorgamiento de credito a parttir de 21/06/2023
                // para microbanco_dato_id >= 241 and = 216;
                $mora = 0;
            	//if (($data['cuota']['microbanco_credito_id'] > 240) or ($data['cuota']['microbanco_credito_id'] == 216)){
            		$cant_dias = $this->dias_pasados($this->input->post('fecha_pago'), $data['cuota']['fecha_vencimiento']);

               		if ($cant_dias > 0){
               			$mora = $data['cuota']['monto_cuota'] * $cant_dias * 0.0015;
               		}
              // }

                $params = array(
					//'fecha_vencimiento' => $this->input->post('fecha_vencimiento'),
					//'monto_cuota' => $this->input->post('monto_cuota'),
					'fecha_pago' => $this->input->post('fecha_pago'),
					'monto_depositado' => $this->input->post('monto_depositado'),
					'mora' => $mora,
					'estado' => 1,
					'observaciones' => $this->input->post('observaciones'),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
					'updated' => date("Y-m-d H:i:s"),
                );

                $this->model->update_cuota($id,$params);
                redirect('Microbanco_credito/detalle/'.$data['cuota']['microbanco_credito_id']);
            }
            else
            {
                $data['_view'] = 'm_credito/cuota_edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
           show_error('Datos NO encontrados.');
    }

     /*
     * Deleting estado
     */
    function finalizar($id)
    {
      if (!$this->ion_auth->in_group('microbanco_creditos'))
      {
       redirect('/', 'refresh');
      }
      $credito = $this->model->get_credito($id);

        // check if the estado exists before trying to delete it
        if(isset($credito['id']))
        {
            $params = array('finalizado'=>1,'finalizadoFecha'=>date('Y-m-d H:i:s'));
            $credito = $this->model->update_credito($id, $params);
            redirect('Microbanco_credito/detalle/'.$id);
        }
        else
            show_error('Datos NO encontrados.');
    }


    /*
     * Deleting estado
     */
    function remove($id)
    {
      if (!$this->ion_auth->in_group('admin'))
      {
       redirect('/', 'refresh');
      }
      $credito = $this->model->get_credito($id);

        // check if the estado exists before trying to delete it
        if(isset($credito['id']))
        {
            $this->model->delete_credito($id);
            redirect('Microbanco_credito/index');
        }
        else
            show_error('Datos NO encontrados.');
    }

    private function dias_pasados($fecha_inicial,$fecha_final)
	{
		$dias = (strtotime($fecha_inicial)-strtotime($fecha_final))/86400;
		//$dias = abs($dias); $dias = floor($dias);
		return $dias;
	}

}
