<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Microbancoxanio extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }


        $this->load->model('Microbancoxanio_model', 'model');
    }

    function index($anio=2023)
    {
    	//$estados = $this->model->get_cant_estados($anio);
    	$estados = $this->model->get_all_count_inscripcion_estados($anio);
       $total= 0;
    	 foreach($estados as $e)
        {
           $total += $e['cantidad'];
        }


        $data['estados'] = $estados;
        $data['total_inscriptos'] =$total;
        $data['anio'] =$anio;
        $data['_view'] = 'microbancoxanio/index';
        $this->load->view('layouts/main',$data);
    }
      /*
     * Listar Todas las Inscripciones
     */
    function incripciones($anio=2023)
    {

		 $data['tareas'] = $this->model->get_all_inscripciones($anio);

         $data['anio'] =$anio;

        $data['_view'] = 'microbancoxanio/incripciones_all';
      	$this->load->view('layouts/main',$data);
    }

     /*
     * Listar Inscripciones por Estados
     */
     function listado($estado = 0, $anio=2023)
    {

    	$data['tareas'] = $this->model->get_all_inscripciones_x_estados($estado, $anio);

        $data['estado'] = $estado;
        $data['anio'] =$anio;

        $data['_view'] = 'microbancoxanio/listado';
        $this->load->view('layouts/main',$data);
    }

        /*
     * Listar Inscripciones por Usuario -
     */
    function tdetalle($inscripcion_id = 0, $anio=2023)
    {

      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
      $data['asignacion_estados'] = $this->model->get_all_inscipcion_historial_estados($inscripcion_id);
      $data['anio'] =$anio;
      $data['_view'] = 'microbancoxanio/detalle_all';
      $this->load->view('layouts/main',$data);
    }

         /*
     * Listar Inscripciones por Usuario -
     */
    function detalle($inscripcion_id = 0, $anio=2023)
    {

      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
      $data['asignacion_estados'] =  $this->model->get_all_inscipcion_historial_estados($inscripcion_id);
      $data['alertas'] = $this->model->get_alertas($inscripcion_id);
      $data['anio'] =$anio;

      $data['_view'] = 'microbancoxanio/detalle';
      $this->load->view('layouts/main',$data);
    }

    function alertas()
    {

    	$data['alertas'] = $this->model->get_alertas();
        $data['_view'] = 'microbancoxanio/index_alertas';
        $this->load->view('layouts/main',$data);
    }
}
