<?php

class ObraDepartamento extends CI_Controller{
    function __construct()
    {
        parent::__construct();

       	if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('ObraDepartamento_model', 'model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
       if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }
        $data['obradepartamentos'] = $this->model->get_all_departamentos();

        $data['_view'] = 'obradepartamento/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new estado
     */
    function add()
    {
        if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }

        $this->load->library('form_validation');

        $this->form_validation->set_rules('departamento','Departamento','required');

        if($this->form_validation->run())
        {
            $params = array(
				'departamento' => $this->input->post('departamento'),
				'created' => date("Y-m-d H:i:s"),
            );

            $estado_id = $this->model->add_departamento($params);
            redirect('ObraDepartamento/index');
        }
        else
        {

            $data['_view'] = 'obradepartamento/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a estado
     */
    function edit($id)
    {
        if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }
        // check if the estado exists before trying to edit it
        $data['departamento'] = $this->model->get_departamento($id);

        if(isset($data['departamento']['id']))
        {
           $this->load->library('form_validation');

          	$this->form_validation->set_rules('departamento','Departamento','required');


            if($this->form_validation->run())
            {
                $params = array(
				'departamento' => $this->input->post('departamento'),
				'updated' => date("Y-m-d H:i:s"),
           		 );

                $this->model->update_departamento($id,$params);
                redirect('ObraDepartamento/index');
            }
            else
            {
                $data['_view'] = 'obradepartamento/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
        {
            $this->session->set_flashdata('error', 'Lo que est&aacute;s intentando Actualizar no existe o no tienes los permisos para su acceso.');
            redirect('ObraLocalidad/index');
        }
    }

    /*
     * Deleting estado
     */
    function remove($id)
    {
        if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }
        $obradepartamento = $this->model->get_departamento($id);

        // check if the estado exists before trying to delete it
        if(isset($obradepartamento['id']))
        {
            $this->model->delete_departamento($id);
            redirect('ObraDepartamento/index');
        }
         else
        {
            $this->session->set_flashdata('error', 'Lo que est&aacute;s intentando Eliminar no existe o no tienes los permisos para su acceso.');
            redirect('Obra/index');
        }
    }

}
