<?php

class ObraPersona extends CI_Controller{
    function __construct()
    {
        parent::__construct();

       	if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('ObraPersona_model', 'model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
       if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }
        $data['obrapersonas'] = $this->model->get_all_obrapersonas();

        $data['_view'] = 'obrapersona/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new estado
     */
    function add()
    {
        if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }

        $this->load->library('form_validation');

        $this->form_validation->set_rules('apeynom','Apellido y Nombre','required');

        if($this->form_validation->run())
        {
            $params = array(
				'apeynom' => $this->input->post('apeynom'),
				'email' => $this->input->post('email'),
				'cel' => $this->input->post('cel'),
				'domicilio' => $this->input->post('domicilio'),
				'activo' => $this->input->post('activo'),
				'created' => date("Y-m-d H:i:s"),
            );

            $estado_id = $this->model->add_obrapersona($params);
            redirect('obrapersona/index');
        }
        else
        {
            $data['_view'] = 'obrapersona/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a estado
     */
    function edit($id)
    {
        if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }
        // check if the estado exists before trying to edit it
        $data['persona'] = $this->model->get_obrapersona($id);

        if(isset($data['persona']['id']))
        {
           $this->load->library('form_validation');

          	$this->form_validation->set_rules('apeynom','Apellido y Nombre','required');

            if($this->form_validation->run())
            {
                $params = array(
				'apeynom' => $this->input->post('apeynom'),
				'email' => $this->input->post('email'),
				'cel' => $this->input->post('cel'),
				'domicilio' => $this->input->post('domicilio'),
				'activo' => $this->input->post('activo'),
				'updated' => date("Y-m-d H:i:s"),
           		 );

                $this->model->update_obrapersona($id,$params);
                redirect('obrapersona/index');
            }
            else
            {
                $data['_view'] = 'obrapersona/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
        {
            $this->session->set_flashdata('error', 'Lo que est&aacute;s intentando Actualizar no existe o no tienes los permisos para su acceso.');
            redirect('ObraPersona/index');
        }
    }

    /*
     * Deleting estado
     */
    function remove($id)
    {
        if (!$this->ion_auth->in_group('obras_admin'))
	      {
	       redirect('/', 'refresh');
	      }
        $obrapersona = $this->model->get_obrapersona($id);

        // check if the estado exists before trying to delete it
        if(isset($obrapersona['id']))
        {
            $this->model->delete_obrapersona($id);
            redirect('obrapersona/index');
        }
         else
        {
            $this->session->set_flashdata('error', 'Lo que est&aacute;s intentando Eliminar no existe o no tienes los permisos para su acceso.');
            redirect('Obra/index');
        }
    }

}
