<?php


class ObraVisualizacion extends CI_Controller{
    function __construct()
    {
        parent::__construct();

       	if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('ObraVisualizacion_model', 'model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
      if (!$this->ion_auth->in_group('obras_ver'))
      {
       redirect('/', 'refresh');
      }

      if(!empty($this->input->post('anio'))){
      	$this->session->set_userdata('obra_anio', $this->input->post('anio'));
      }

      $anio = $this->session->userdata('obra_anio');

      $data['obra_localidad'] =  '';
      $localidad = 0;
      if($this->input->post('localidad_id') > 0) {
        	$localidad = $this->input->post('localidad_id');
			$data['obra_localidad'] = $localidad;
	  }

	  $data['obra_departamento'] =  '';
      $departamento = 0;
      if($this->input->post('departamento_id') > 0) {
        	$departamento = $this->input->post('departamento_id');
			$data['obra_departamento'] = $departamento;
	  }


		$data['obra_x_anio'] = $anio;
        $data['obras'] = $this->model->get_all_obras($departamento, $localidad, $anio);
        $data['cant_obras']= count($data['obras']);

        $this->load->model('ObraLocalidad_model', 'locmodel');
		$data['all_localidades'] = $this->locmodel->get_all_localidades();

	 	$this->load->model('ObraDepartamento_model', 'dptomodel');
	 	$data['all_departamentos'] = $this->dptomodel->get_all_departamentos();

        $data['_view'] = 'obravisualizacion/index';
        $this->load->view('layouts/main',$data);
    }

     function detalle($id = 0)
    {
    	if (!$this->ion_auth->in_group('obras_ver'))
      	{
       		redirect('/', 'refresh');
      	}
      	$data['obra'] = $this->model->get_obra_detalle($id);
      	$data['obrapersonas'] = $this->model->get_obra_personas($id);
      	$data['obraarchivos'] = $this->model->get_obra_archivos($id);
      	$data['obralicitacion'] = $this->model->get_all_obra_licitacion($id);
      	$data['obralicitacionproveedores'] = $this->model->get_obra_licitacion_proveedores($id);
      	$data['obraplazo'] = $this->model->get_all_obra_plazo($id);
      	$data['obrapresupuesto'] = $this->model->get_all_obra_presupuesto($id);
      	$data['obrainsumos'] = $this->model->get_all_obra_insumo($id);

     	$data['_view'] = 'obravisualizacion/detalle';
      	$this->load->view('layouts/main',$data);
    }


  private function dias_pasados($fecha_inicial,$fecha_final)
	{
		$dias = (strtotime($fecha_inicial)-strtotime($fecha_final))/86400;
		//$dias = abs($dias); $dias = floor($dias);
		return $dias;
	}

}
