<?php

class Sector extends CI_Controller{
    function __construct()
    {
        parent::__construct();

        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}
        $this->load->model('Sector_model', 'model');
    }

    /*
     * Listing of localidades
     */
    function index()
    {
        $data['sectores'] = $this->model->get_all_sectores();

        $data['_view'] = 'sector/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new localidad
     */
    function add()
    {
        $this->load->library('form_validation');

		$this->form_validation->set_rules('sector','Sector','required|alpha');

		if($this->form_validation->run())
        {
            $params = array(
				'sector' => $this->input->post('sector'),
            );

            $sector_id = $this->model->add_sector($params);
            redirect('sector/index');
        }
        else
        {
            $data['_view'] = 'sector/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a localidad
     */
    function edit($id)
    {
        // check if the localidad exists before trying to edit it
        $data['sector'] = $this->model->get_sector($id);

        if(isset($data['sector']['id']))
        {
            $this->load->library('form_validation');

			$this->form_validation->set_rules('sector','Sector','required|alpha');

			if($this->form_validation->run())
            {
                $params = array(
					'sector' => $this->input->post('sector'),
                );

                $this->model->update_sector($id,$params);
                redirect('sector/index');
            }
            else
            {
                $data['_view'] = 'sector/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('The sector you are trying to edit does not exist.');
    }

    /*
     * Deleting localidad
     */
    function remove($id)
    {
        $sector = $this->model->get_sector($id);

        // check if the localidad exists before trying to delete it
        if(isset($sector['id']))
        {
            $this->model->delete_sector($id);
            redirect('sector/index');
        }
        else
            show_error('The sector you are trying to delete does not exist.');
    }

}
