<?php
class StockCompras extends CI_Controller{
    function __construct()
    {
        parent::__construct();

        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

	    /*else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}  */

        $this->load->model('StockCompras_model', 'model');
    }

    /*
     * Listing of estados
     */
    function index()
    {
    	if (!$this->ion_auth->in_group('compras_orden'))
      	{
       		redirect('/', 'refresh');
      	}

        $data['productos'] = $this->model->get_all_productos();

        $data['_view'] = 'stock_compras/index';
        $this->load->view('layouts/main',$data);
    }

    /*
     * Adding a new estado
     */
    function add()
    {
       	if (!$this->ion_auth->in_group('compras_orden'))
      	{
       		redirect('/', 'refresh');
      	}

         $this->load->library('form_validation');

		$this->form_validation->set_rules('descripcion','Nombre','required');

		 $permite_stock = empty($this->input->post('permite_stock'))? 0 : $this->input->post('permite_stock');


		if($this->form_validation->run())
        {
            $params = array(
				'permite_stock' => $permite_stock,
				'descripcion' => $this->input->post('descripcion'),
				'stock' => 0,
				'precio_venta' =>  1000,
				'fecha'=> date('Y-m-d H:i:s'),
            );

            $estado_id = $this->model->add_producto($params);
            redirect('StockCompras/index');
        }
        else
        {
            $data['_view'] = 'stock_compras/add';
            $this->load->view('layouts/main',$data);
        }
    }

    /*
     * Editing a estado
     */
    function edit($id)
    {
        if (!$this->ion_auth->in_group('compras_orden'))
      	{
       		redirect('/', 'refresh');
      	}
        // check if the estado exists before trying to edit it
        $data['producto'] = $this->model->get_producto($id);

        if(isset($data['producto']['id']))
        {
            $this->load->library('form_validation');

			$this->form_validation->set_rules('descripcion','Nombre','required');

			if($this->form_validation->run())
        	{
                $params = array(
					'permite_stock' => $this->input->post('permite_stock'),
					'descripcion' => $this->input->post('descripcion'),
                );

                $this->model->update_producto($id,$params);
                redirect('StockCompras/index');
            }
            else
            {
                $data['_view'] = 'stock_compras/edit';
                $this->load->view('layouts/main',$data);
            }
        }
       else
        {
            $this->session->set_flashdata('error', 'Lo que est&aacute;s intentando Actualizar no existe o no tienes los permisos para su acceso.');
            redirect('StockCompras/index');
        }
    }

}
