<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class UsuariosCalefones extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

	    /*else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}  */

        $this->load->model('UsuarioCalefonProyecto_model', 'model');
    }


      /*
     * Listar Inscripciones por Usuario -
     */
    function index($anio=2023)
    {
     if (!$this->ion_auth->in_group('usuarios_calefones'))
      {
       redirect('/', 'refresh');
      }

     	$data['estado_inscripcion'] =  '';
     	$estado = 0;
        if($this->input->post('estado_id') > 0) {
        	$estado = $this->input->post('estado_id');
			$data['estado_inscripcion'] = $estado;
		}

		$data['persona_inscripcion'] =  '';
		$persona=0;
		if($this->input->post('persona_id') > 0) {
			$persona = $this->input->post('persona_id');
			$data['persona_inscripcion'] = $persona;
		}

		$data['localidad_inscripcion'] =  '';
		$localidad=0;
		if($this->input->post('localidad_id') > 0) {
			$localidad = $this->input->post('localidad_id');
			$data['localidad_inscripcion'] = $localidad;
		}

		$data['tareas'] = $this->model->get_administrar_inscripciones($estado, $persona, $localidad, $anio);

     	$this->load->model('Persona_model');
		$data['all_personas'] = $this->Persona_model->get_all_personas();

		$this->load->model('Estado_model');
		$data['all_estados'] = $this->Estado_model->get_all_estados();

		$this->load->model('Localidad_model');
		$data['all_localidades'] = $this->Localidad_model->get_all_localidades();

		$data['anio'] =$anio;

        $data['_view'] = 'usuario_calefones/listado_administrar';
      	$this->load->view('layouts/main',$data);
    }

       /*
     * Listar Inscripciones por Usuario -
     */
    function detalle($inscripcion_id = 0, $anio=2023)
    {
      if (!$this->ion_auth->in_group('usuarios_calefones'))
      {
       redirect('/', 'refresh');
      }
      // si es usuario administrador listar todas - sino por user_id
     // if ($estado > 0)
    //  {
      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
      $data['asignacion_estados'] = $this->model->get_all_inscipcion_historial_estados($inscripcion_id);
      $data['alertas'] = $this->model->get_alertas($inscripcion_id);
     // var_dump($data['tareas']);
     // }else {
     // 	$data['tareas'] = array();
     // }


        $data['anio'] =$anio;
      	$data['_view'] = 'usuario_calefones/detalle';
     	$this->load->view('layouts/main',$data);
    }



     /*
     * Editing a calefones_inscripcion
     */
    function edit_estado($id)
    {
      if (!$this->ion_auth->in_group('usuarios_calefones'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['calefones_inscripcion'] = $this->model->get_calefones_inscripcion($id);

        if(isset($data['calefones_inscripcion']['id']))
        {
            $this->load->library('form_validation');

           // $this->form_validation->set_rules('localidad_id','Localidad','required');
			//$this->form_validation->set_rules('persona_id','Evaluador','required');
			$this->form_validation->set_rules('fecha','Fecha','required');
			$this->form_validation->set_rules('estado_id','Estado de la Inscripci&oacute;n','required');


            if($this->form_validation->run())
            {
                $params = array(
					'estado_id' => $this->input->post('estado_id'),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
					'updated' => date("Y-m-d H:i:s"),
                );

     		    $historial_estado = array(
					'estado_id' => $this->input->post('estado_id'),
					'inscripcion_id' => $id,
					'fecha' => $this->input->post('fecha'),
					'observaciones' => $this->input->post('observaciones'),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
					'created' => date("Y-m-d H:i:s"),
                );

                $this->model->update_calefones_inscripcion($id,$params);
                $this->model->add_historial_estados($historial_estado);
                redirect('UsuariosCalefones/detalle/'.$id);
            }
            else
            {
				$this->load->model('Estado_model');
				$data['all_estados'] = $this->Estado_model->get_all_estados();

                $data['_view'] = 'usuario_calefones/edit_estado';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('UsuariosCalefones');
        }
    }

     /*
     * Nuava Alerta
     */
    function add_alerta($id)
    {
	   if (!$this->ion_auth->in_group('usuarios_calefones'))
	      {
	       redirect('/', 'refresh');
	      }

        $inscripcion = $this->model->get_calefones_inscripcion($id);

        if(isset( $inscripcion['id']))
        {
            $this->load->library('form_validation');

			$this->form_validation->set_rules('fecha_alerta','Fecha','required');
			$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
			$this->form_validation->set_rules('detalle','Detalle','max_length[255]');


			if($this->form_validation->run())
            {
                $params = array(
					'calefones_inscripcion_id' => $id,
					'fecha_alerta' => $this->input->post('fecha_alerta'),
					'nota' => $this->input->post('nota'),
					'detalle' => $this->input->post('detalle'),
					'creadopor' => $this->session->userdata('ape_nom'),
					'activo' => 1,
					'created' => date("Y-m-d H:i:s"),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),

                );

                //$this->Notas_calefon_model->update_notas_calefon($id,$params);
                $this->model->add_alerta($params);
                redirect('UsuariosCalefones/detalle/'.$id);
            }
            else
            {

                $data['inscripcionID'] = $id;
                $data['_view'] = 'usuario_calefones/add_alerta';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('UsuariosCalefones');
        }
    }

}
