<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class UsuariosMicrobanco extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }

        $this->load->model('UsuarioMicrobanco_model', 'model');
    }

      /*
     * Listar Inscripciones por Usuario -
     */
    function index($anio=2023)
    {
     if (!$this->ion_auth->in_group('usuarios_microbanco'))
      {
       redirect('/', 'refresh');
      }

     	$data['convocatoria_inscripcion'] =  '';
     	$convocatoria = 0;
        if($this->input->post('convocatoria_id') > 0) {
        	$convocatoria = $this->input->post('convocatoria_id');
			$data['convocatoria_inscripcion'] = $convocatoria;
		}

		$data['estado_inscripcion'] =  '';
     	$estado = 0;
        if($this->input->post('m_estado_id') > 0) {
        	$estado = $this->input->post('m_estado_id');
			$data['estado_inscripcion'] = $estado;
		}

		$data['localidad_inscripcion'] =  '';
     	$localidad = 0;
        if($this->input->post('localidad_id') > 0) {
        	$localidad = $this->input->post('localidad_id');
			$data['localidad_inscripcion'] = $localidad;
		}

		$data['asesor_inscripcion'] =  '';
     	$asesor = 0;
        if($this->input->post('asesor_id') > 0) {
        	$asesor = $this->input->post('asesor_id');
			$data['asesor_inscripcion'] = $asesor;
		}

		$data['evaluador_inscripcion'] =  '';
     	$evaluador = 0;
        if($this->input->post('evaluador_id') > 0) {
        	$evaluador = $this->input->post('evaluador_id');
			$data['evaluador_inscripcion'] = $evaluador;
		}

		$data['tareas'] = $this->model->get_administrar_inscripciones($convocatoria, $estado, $localidad, $asesor, $evaluador, $anio);

     	$this->load->model('Convocatoria_model');
		$data['all_convocatorias'] = $this->Convocatoria_model->get_all_convocatorias();

		$this->load->model('Microbanco_estado_model');
		$data['all_estados'] = $this->Microbanco_estado_model->get_all_estados();

		$this->load->model('Localidad_model');
		$data['all_localidades'] = $this->Localidad_model->get_all_localidades();

		$this->load->model('Asesor_model');
		$data['all_asesores'] = $this->Asesor_model->get_all_asesores();

		$this->load->model('Evaluador_model');
		$data['all_evaluadores'] = $this->Evaluador_model->get_all_evaluadores();

		$data['anio'] =$anio;

        $data['_view'] = 'usuario_microbanco/index';
      	$this->load->view('layouts/main',$data);
    }

       /*
     * Listar Inscripciones por id -
     */
    function detalle($inscripcion_id = 0, $anio=2023)
    {
      if (!$this->ion_auth->in_group('usuarios_microbanco'))
      {
       redirect('/', 'refresh');
      }

      $data['inscripcion'] = $this->model->get_inscripcion($inscripcion_id);
      $data['asignacion_estados'] =  $this->model->get_all_inscipcion_historial_estados($inscripcion_id);
      $data['alertas'] = $this->model->get_alertas($inscripcion_id);

      $data['anio'] =$anio;

      $data['_view'] = 'usuario_microbanco/detalle';
      $this->load->view('layouts/main',$data);
    }

     /*
     * Editing a calefones_inscripcion
     */
    function edit_estado($id)
    {
      if (!$this->ion_auth->in_group('usuarios_microbanco'))
      {
       redirect('/', 'refresh');
      }
        // check if the calefones_inscripcion exists before trying to edit it
        $data['inscripcion'] = $this->model->get_inscripcion($id);

        if(isset($data['inscripcion']['id']))
        {
            $this->load->library('form_validation');

           // $this->form_validation->set_rules('localidad_id','Localidad','required');
			//$this->form_validation->set_rules('persona_id','Evaluador','required');
			$this->form_validation->set_rules('fecha','Fecha','required');
			$this->form_validation->set_rules('m_estado_id','Estado de la Inscripci&oacute;n','required');


            if($this->form_validation->run())
            {
                $params = array(
					'm_estado_id' => $this->input->post('m_estado_id'),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
					'update' => date("Y-m-d H:i:s"),
                );

                $historial_estado = array(
					'm_estado_id' => $this->input->post('m_estado_id'),
					'inscripcion_id' => $id,
					'fecha' => $this->input->post('fecha'),
					'observaciones' => $this->input->post('observaciones'),
					'created' => date("Y-m-d H:i:s"),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
                );

                $this->model->update_inscripcion($id,$params);
                $this->model->add_historial_estados($historial_estado);
                redirect('UsuariosMicrobanco/detalle/'.$id);
            }
            else
            {
				$this->load->model('Microbanco_estado_model');
				$data['all_estados'] = $this->Microbanco_estado_model->get_all_estados();

                $data['_view'] = 'usuario_microbanco/edit_estado';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('UsuariosMicrobanco');
        }
    }

     /*
     * Nuava Alerta
     */
    function add_alerta($id)
    {
	   if (!$this->ion_auth->in_group('usuarios_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }

        $inscripcion = $this->model->get_inscripcion($id);

        if(isset( $inscripcion['id']))
        {
            $this->load->library('form_validation');

			$this->form_validation->set_rules('fecha_alerta','Fecha','required');
			$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
			$this->form_validation->set_rules('detalle','Detalle','max_length[255]');


			if($this->form_validation->run())
            {
                $params = array(
					'inscripcion_id' => $id,
					'fecha_alerta' => $this->input->post('fecha_alerta'),
					'nota' => $this->input->post('nota'),
					'detalle' => $this->input->post('detalle'),
					'creadopor' => $this->session->userdata('ape_nom'),
					'activo' => 1,
					'created' => date("Y-m-d H:i:s"),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
                );

                //$this->Notas_calefon_model->update_notas_calefon($id,$params);
                $this->model->add_alerta($params);
                redirect('UsuariosMicrobanco/detalle/'.$id);
            }
            else
            {

                $data['inscripcionID'] = $id;
                $data['_view'] = 'usuario_microbanco/add_alerta';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('UsuariosMicrobanco');
        }
    }

      /*
     * Nueva Alerta
     */
    function edit_alerta($id)
    {
	   if (!$this->ion_auth->in_group('usuarios_microbanco'))
	      {
	       redirect('/', 'refresh');
	      }

        $data['alerta'] = $this->model->get_alerta($id);


        if(isset( $data['alerta']['id']))
        {
            $inscripcion_id = $data['alerta']['inscripcion_id'];
            $this->load->library('form_validation');

			$this->form_validation->set_rules('fecha_alerta','Fecha','required');
			$this->form_validation->set_rules('nota','Nota','required|max_length[150]');
			$this->form_validation->set_rules('detalle','Detalle','max_length[255]');


			if($this->form_validation->run())
            {
                $params = array(
					'fecha_alerta' => $this->input->post('fecha_alerta'),
					'nota' => $this->input->post('nota'),
					'detalle' => $this->input->post('detalle'),
					'creadopor' => $this->session->userdata('ape_nom'),
					'activo' => $this->input->post('activo'),
					'update' => date("Y-m-d H:i:s"),
					'user_id' => $this->session->userdata('user_id'),
					'user_nombre' => $this->session->userdata('name'),
                );

                //$this->Notas_calefon_model->update_notas_calefon($id,$params);
                $this->model->edit_alerta($id, $params);
                redirect('UsuariosMicrobanco/detalle/'.$inscripcion_id);
            }
            else
            {
                $data['_view'] = 'usuario_microbanco/edit_alerta';
                $this->load->view('layouts/main',$data);
            }
        }
         else
        {
         	$this->session->set_flashdata('error', 'La Inscripci&oacute;n que est&aacute;s intentando acceder no existe o no tienes los permisos para su acceso.');
            redirect('UsuariosMicrobanco');
        }
    }

     function estados()
    {
      if (!$this->ion_auth->in_group('usuarios_microbanco'))
      {
       redirect('/', 'refresh');
      }

      $data['estados'] = $this->model->get_all_count_inscripcion_estados();
      $data['_view'] = 'usuario_microbanco/estados';
      $this->load->view('layouts/main',$data);
    }

      function elistado($estado)
    {
      if (!$this->ion_auth->in_group('usuarios_microbanco'))
      {
       redirect('/', 'refresh');
      }


      $data['datos'] = $this->model->get_all_inscripciones_estado($estado);
      $data['_view'] = 'usuario_microbanco/elistado';
      $this->load->view('layouts/main',$data);
    }

}
