<?php
class CalefonProyecto_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

       /*
     * Get Cantidad de Inscripciones por estado
     */
     function get_cant_calefones_estados($anio=0)
    {
          $query = $this->db->query('Select
						    p.nom_ape,
						    Sum(Case
						        When c.estado_id = 1
						        Then 1
						        Else 0
						    End) As sinasignar,
						    Sum(Case
						        When c.estado_id = 2
						        Then 1
						        Else 0
						    End) As verificacion,
						    Sum(Case
						        When c.estado_id = 3
						        Then 1
						        Else 0
						    End) As rechazados,
						    Sum(Case
						        When c.estado_id = 4
						        Then 1
						        Else 0
						    End) As aprobados,
						    Sum(Case
						        When c.estado_id = 5
						        Then 1
						        Else 0
						    End) As factibilidad,
						    Sum(Case
						        When c.estado_id = 6
						        Then 1
						        Else 0
						    End) As informe_evaluador,
						    Sum(Case
						        When c.estado_id = 7
						        Then 1
						        Else 0
						    End) As inicio_expediente
						From
						    calefones_inscripciones As c Left Join
						    personas As p On p.id = c.persona_id
						Where c.anio='.$anio.'
						Group By
						    p.id');
        return $query->result_array();
    }



     /*
     * Mostrar Todas Las inscripciones y segun su estado
      DATE_FORMAT(t.fecha, "%d/%m/%Y") as fecha,
     */
    function get_all_inscripciones($estado = 0, $persona = 0, $anio=0)
    {
    	 $this->db->select('c.id,
						    fecha,
						    c.email,
						    c.ape_nom,
						    c.dni,
						    c.estado_civil,
						    c.fecha_titular_vivienda,
						    c.grupo_familiar,
						    c.telefono,
						    c.domicilio,
						    c.localidad,
						    c.registro_propiedad,
						    c.zona_vivienda,
						    c.servicios_publicos_zona,
						    c.material_vivienda,
						    c.fuente_ingresos,
						    c.ingresos_familiar,
						    c.nom_ape_garante,
						    c.dni_garante,
						    c.estado_civil_garante,
						    c.domicilio_garante,
						    c.localidad_garante,
						    c.lugar_trabajo_garante,
						    c.ingresos_garante,
						    c.estado_id,
						    c.persona_id,
						    e.estado_nombre,
						    e.color,
						    p.nom_ape as nombre_evaluador,
						    c.co_nro,
						    c.area_actual,
						    c.fecha_act
          					');
        $this->db->from('calefones_inscripciones as c');
        $this->db->join('estados as e','e.id = c.estado_id');
        $this->db->join('personas as p','p.id = c.persona_id', 'left');
        $this->db->where('c.anio',  $anio);
         if ($estado > 0) {
     	 $this->db->where('c.estado_id',  $estado);
        }
         if ($persona > 0) {
     	 $this->db->where('c.persona_id',  $persona);
        }
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }

    function get_cant_calefones_estados_localidad($anio=0)
    {
          $query = $this->db->query('Select
						    l.localidad,
						    count(l.id) as total,
						    Sum(Case
						        When c.estado_id = 1
						        Then 1
						        Else 0
						    End) As sinasignar,
						    Sum(Case
						        When c.estado_id = 2
						        Then 1
						        Else 0
						    End) As verificacion,
						    Sum(Case
						        When c.estado_id = 3
						        Then 1
						        Else 0
						    End) As rechazados,
						    Sum(Case
						        When c.estado_id = 4
						        Then 1
						        Else 0
						    End) As aprobados,
						    Sum(Case
						        When c.estado_id = 5
						        Then 1
						        Else 0
						    End) As factibilidad,
						    Sum(Case
						        When c.estado_id = 6
						        Then 1
						        Else 0
						    End) As informe_evaluador,
						    Sum(Case
						        When c.estado_id = 7
						        Then 1
						        Else 0
						    End) As inicio_expediente
						From
						    calefones_inscripciones As c Left Join
						    localidades as l  On l.id = c.localidad_id
						Where c.anio='.$anio.'
						Group By
						    l.id
						Order By l.localidad');
        return $query->result_array();
    }

    function get_cant_estados($anio=0)
    {
        $this->db->select(' e.id,
        					e.estado_nombre,
						    e.color,
						    e.icono,
						    count(c.id) as cantidad
          					');
        $this->db->from('calefones_inscripciones as c');
        $this->db->join('estados as e','e.id = c.estado_id', 'right');
        //$this->db->where('e.proyecto_id', 1);
        $this->db->where('c.anio', $anio);

        $this->db->group_by('e.id');
        $this->db->order_by('e.orden', 'asc');
        return $this->db->get()->result_array();

    }

     function get_cant_evaluadores_estados($anio=0)
    {
        $this->db->select(' p.nom_ape,
						    count(*) as cantidad
          					');
        $this->db->from('calefones_inscripciones as c');
        $this->db->join('estados as e','e.id = c.estado_id');
        $this->db->join('personas as p','p.id = c.persona_id');
        $this->db->where('c.anio', $anio);
        $this->db->group_by('p.id');

        return $this->db->get()->result_array();

    }

      /*
     * Get all inscripciones
      DATE_FORMAT(t.fecha, "%d/%m/%Y") as fecha,
     */
    function get_administrar_inscripciones($anio)
    {
    	 $this->db->select('c.id,
						    fecha,
						    c.email,
						    c.ape_nom,
						    c.dni,
						    c.estado_civil,
						    c.fecha_titular_vivienda,
						    c.grupo_familiar,
						    c.telefono,
						    c.domicilio,
						    c.localidad,
						    c.anio,
						    c.registro_propiedad,
						    c.zona_vivienda,
						    c.servicios_publicos_zona,
						    c.material_vivienda,
						    c.fuente_ingresos,
						    c.ingresos_familiar,
						    c.nom_ape_garante,
						    c.dni_garante,
						    c.estado_civil_garante,
						    c.domicilio_garante,
						    c.localidad_garante,
						    c.lugar_trabajo_garante,
						    c.ingresos_garante,
						    c.estado_id,
						    c.evaluador_asignado,
						    c.persona_id,
						    e.estado_nombre,
						    e.color
          					');
        $this->db->from('calefones_inscripciones as c');
        $this->db->join('estados as e','e.id = c.estado_id');
        $this->db->where('c.anio', $anio);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }

     function get_inscripcion($inscripcion_id = 0)
    {
    	 $this->db->select('c.id,
						    fecha,
						    c.email,
						    c.ape_nom,
						    c.dni,
						    c.estado_civil,
						    c.fecha_titular_vivienda,
						    c.grupo_familiar,
						    c.telefono,
						    c.domicilio,
						    c.localidad,
						    c.registro_propiedad,
						    c.zona_vivienda,
						    c.servicios_publicos_zona,
						    c.material_vivienda,
						    c.fuente_ingresos,
						    c.ingresos_familiar,
						    c.nom_ape_garante,
						    c.dni_garante,
						    c.estado_civil_garante,
						    c.domicilio_garante,
						    c.localidad_garante,
						    c.lugar_trabajo_garante,
						    c.ingresos_garante,
						    c.estado_id,
						    c.persona_id,
						    e.estado_nombre,
						    e.color,
						    p.nom_ape as nombre_evaluador,
						    c.co_id,
						    c.co_nro
          					');
        $this->db->from('calefones_inscripciones as c');
        $this->db->join('estados as e','e.id = c.estado_id');
        $this->db->join('personas as p','p.id = c.persona_id', 'left');
        if ($inscripcion_id > 0)
        {
        	 $this->db->where('c.id',  $inscripcion_id);
        }
        return $this->db->get()->row_array();
    }

      function get_all_inscipcion_historial_estados($id)
    {

        $this->db->select('h.id,
        					e.estado_nombre,
    						DATE_FORMAT(h.fecha, "%d/%m/%Y") as fecha,
    						h.observaciones
          					');
        $this->db->from('estados as e');
        $this->db->join('asignacion_estados as h','e.id = h.estado_id');
        $this->db->where('h.inscripcion_id', $id);
         $this->db->order_by('h.id', 'desc');
        return $this->db->get()->result_array();
    }

    function get_movimientos($id)
    {

        $this->db->select('m.id,
						    m.expediente_id,
						    DATE_FORMAT(m.fecha, "%d/%m/%Y") as fecha,
						    m.expediente_title,
						    m.area_title,
						    m.aefectos,
						    DATE_FORMAT(m.fechadev, "%d/%m/%Y") as fechadev,
						    m.numemovi
          					');
        $this->db->from('movimientos as m');
        $this->db->where('m.expediente_id', $id);
         $this->db->order_by('m.numemovi', 'desc');
        return $this->db->get()->result_array();
    }

     function get_alertas()
    {
         $this->db->select('a.id,
         					c.ape_nom,
         					a.calefones_inscripcion_id,
						    a.fecha_alerta,
						    a.nota,
						    a.detalle,
						    a.activo
          					');
        $this->db->from('alertas_calefones as a');
        $this->db->join('calefones_inscripciones as c','c.id = a.calefones_inscripcion_id');
        $this->db->where('a.isDelete', 0);
        $this->db->where('a.activo', 1);

        $this->db->order_by('a.fecha_alerta', 'desc');
        return $this->db->get()->result_array();
    }

   function get_alertas_inscripcion($id = 0)
    {
         $this->db->select('a.id,
						    a.fecha_alerta,
						    a.calefones_inscripcion_id,
						    a.nota,
						    a.detalle,
						    a.activo
          					');
        $this->db->from('alertas_calefones as a');
        $this->db->where('a.calefones_inscripcion_id', $id);
        $this->db->where('a.isDelete', 0);

        $this->db->order_by('a.fecha_alerta', 'desc');
        return $this->db->get()->result_array();
    }



}
