<?php

class Calefones_credito_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get estado by id
     */
    function get_credito($id)
    {
      $this->db->select('c.id,
        				   d.ape_nom,
                           l.localidad,
                           c.apellido,
                           c.loca,
                           c.calefones_inscripcion_id,
                           c.expediente_nro,
                           fecha_otorgamiento,
                           c.cant_meses,
                           c.meses_gracia,
                           c.cuotas_pagas,
                           c.monto_otorgamiento,
                           c.total_credito,
                           c.mora,
                           c.cant_cuota_mora,
                           c.tasa_interes,
                           c.gerenar_cuota,
                           e.estado_nombre,
                            e.color as estadocolor,
                            c.anio
        					');
        $this->db->from('calefones_creditos as c');
        $this->db->join('calefones_inscripciones as d','d.id = c.calefones_inscripcion_id');
        $this->db->join('localidades as l','l.id = d.localidad_id');
        $this->db->join('estados as e','e.id = d.estado_id');
        $this->db->where('c.id',  $id);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->row_array();
    }

    function get_all_creditos($anio)
    {

       $subconsulta = '';

      if ($anio > 0){
     		$subconsulta = ' WHERE c.anio ='. $anio . ' ';
     }


      $query = $this->db->query('Select
							    c.id,
							    c.expediente_nro,
							    d.ape_nom,
							    l.localidad,
							    c.actividad,
							    DATE_FORMAT(c.fecha_otorgamiento, "%d/%m/%Y") as fecha_otorgamiento,
							    c.monto_otorgamiento,
							    c.total_credito,
							    sum(ROUND(cuo.monto_cuota,2)) as cal_total_credito,
							    sum(cuo.monto_depositado) as cal_total_depositado,
							    c.cant_meses,
							    Count(cuo.calefones_credito_id) As cant_cuotas,
							    sum(if (cuo.monto_depositado > 0, 1, 0)) as cuotas_pagas,
							    c.gerenar_cuota,
							    c.anio
							From
							    calefones_creditos as c Inner Join
							    calefones_inscripciones as d On c.calefones_inscripcion_id = d.id Inner Join
							    localidades as l On l.id = d.localidad_id left Join
							    calefones_credito_cuotas as cuo On cuo.calefones_credito_id = c.id
							'.$subconsulta.'
							Group By
							    cuo.calefones_credito_id
        					');
		return $query->result_array();
    }

     /*
     * Get estado by id
     */
    function get_credito_detalle($id)
    {
			$query = $this->db->query('Select
							    c.id,
							    c.expediente_nro,
							    d.ape_nom,
							    l.localidad,
							    c.actividad,
							    c.fecha_otorgamiento,
							    c.monto_otorgamiento,
							    c.total_credito,
							    c.finalizado,
							    c.finalizadoFecha,
							    sum(ROUND(cuo.monto_cuota,2)) as cal_total_credito,
							    sum(cuo.monto_depositado) as cal_total_depositado,
							    c.cant_meses,
							    Count(cuo.calefones_credito_id) As cant_cuotas,
							    sum(if (cuo.monto_depositado > 0, 1, 0)) as cuotas_pagas,
							    c.gerenar_cuota,
							    c.anio
							From
							    calefones_creditos as c Inner Join
							    calefones_inscripciones as d On c.calefones_inscripcion_id = d.id Inner Join
							    localidades as l On l.id = d.localidad_id left Join
							    calefones_credito_cuotas as cuo On cuo.calefones_credito_id = c.id
							where c.id = '.$id.'
							Group By
							    cuo.calefones_credito_id
        					');
		return $query->result_array();
    }

    /*
     * Get all estados
     */
    function get_all_creditos_no()
    {
        $this->db->select('c.id,
        				   d.ape_nom,
                           l.localidad,
                           c.apellido,
                           c.loca,
                           c.calefones_inscripcion_id,
                           c.expediente_nro,
                           DATE_FORMAT(c.fecha_otorgamiento, "%d/%m/%Y") as fecha_otorgamiento,
                           c.cant_meses,
                           c.meses_gracia,
                           c.cuotas_pagas,
                           c.monto_otorgamiento,
                           c.total_credito,
                           c.mora,
                           c.tasa_interes,
                           c.cant_cuota_mora,
                           c.gerenar_cuota,
                           e.estado_nombre,
                            e.color as estadocolor
        					');
        $this->db->from('calefones_creditos as c');
        $this->db->join('calefones_inscripciones as d','d.id = c.calefones_inscripcion_id');
        $this->db->join('localidades as l','l.id = d.localidad_id');
        $this->db->join('estados as e','e.id = d.estado_id');

        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }

     function get_agregar_all_creditos()
    {
       $query =  $this->db->query('Select
						    d.ape_nom,
						    d.dni,
						    l.localidad,
						    d.id,
						    m.estado_nombre,
						    m.color as estadocolor
						From
						    calefones_inscripciones As d Inner Join
						    localidades as l On l.id = d.localidad_id Inner Join
						    estados as m On m.id = d.estado_id
						Where
						    (d.estado_id = 4 Or
						        d.estado_id = 7) And
						    Not Exists(Select
						         c.calefones_inscripcion_id
						     From
						         calefones_creditos As c
						     Where
						         c.calefones_inscripcion_id = d.id)
						order by d.ape_nom
        					');

        return  $query->result_array();
    }

      function get_inscripcion($inscripcion_id = 0)
    {
    	 $this->db->select('c.id,
						    fecha,
						    c.email,
						    c.ape_nom,
						    c.dni,
						    c.estado_civil,
						    c.fecha_titular_vivienda,
						    c.grupo_familiar,
						    c.telefono,
						    c.domicilio,
						    l.localidad,
						    c.registro_propiedad,
						    c.zona_vivienda,
						    c.servicios_publicos_zona,
						    c.material_vivienda,
						    c.fuente_ingresos,
						    c.ingresos_familiar,
						    c.nom_ape_garante,
						    c.dni_garante,
						    c.estado_civil_garante,
						    c.domicilio_garante,
						    c.localidad_garante,
						    c.lugar_trabajo_garante,
						    c.ingresos_garante,
						    c.estado_id,
						    c.persona_id,
						    co_nro
          					');

        $this->db->from('calefones_inscripciones as c');
         $this->db->join('localidades as l','l.id = c.localidad_id');
        $this->db->where('c.id',  $inscripcion_id);

        return $this->db->get()->row_array();
    }


     /*
     * Get all estados
     */
    function get_credito_cuotas($id)
    {
        $this->db->select('c.id,
        					c.estado,
        					c.nro_cuota,
        					DATE_FORMAT(c.fecha_vencimiento, "%d/%m/%Y") as fecha_vencimiento,
        					ROUND(c.monto_cuota,2) as monto_cuota,
        					DATE_FORMAT(c.fecha_pago, "%d/%m/%Y") as fecha_pago,
        					c.monto_depositado,
        					c.tasa_interes,
        					c.interes,
        					c.observaciones
        					');
        $this->db->from('calefones_credito_cuotas as c');
        $this->db->where('c.calefones_credito_id',  $id);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }

     function get_credito_cuotas_edit($id)
    {
        $this->db->select('c.id,
        					c.estado,
        					c.nro_cuota,
        					c.fecha_vencimiento,
        					c.monto_cuota,
        					c.fecha_pago,
        					c.monto_depositado,
        					c.tasa_interes,
        					c.interes,
        					c.observaciones
        					');
        $this->db->from('calefones_credito_cuotas as c');
        $this->db->where('c.calefones_credito_id',  $id);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }


     /*
     * Get estado by id
     */
    function get_cuota($id)
    {
      $this->db->select('c.id,
        				   c.calefones_credito_id,
                           c.nro_cuota,
                           c.estado,
                           c.fecha_vencimiento,
                           c.monto_cuota,
                           c.fecha_pago,
                           c.monto_depositado,
                           c.tasa_interes,
                           c.interes,
                           c.observaciones,
                           d.ape_nom,
                           cre.expediente_nro
        					');
        $this->db->from('calefones_credito_cuotas as c');
        $this->db->join('calefones_creditos as cre','cre.id = c.calefones_credito_id');
        $this->db->join('calefones_inscripciones as d','d.id = cre.calefones_inscripcion_id');
        $this->db->where('c.id',  $id);
        return $this->db->get()->row_array();
    }

    /*
     * function to add new estado
     */
    function add_credito($params)
    {
        $this->db->insert('calefones_creditos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update estado
     */
    function update_credito($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('calefones_creditos',$params);
    }

     /*
     * function to update estado
     */
    function update_cuota($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('calefones_credito_cuotas',$params);
    }

    function update_all_cuotas($params)
    {
       foreach($params as $clave => $valor)
       {
        $id = $valor['id'];

         $datos = array(
                    'fecha_vencimiento' => $valor['fecha_vencimiento'],
                    'monto_cuota' => $valor['monto_cuota'],
                   );

         $this->db->where('id',$id);
         $this->db->update('calefones_credito_cuotas',$datos);

       }

      return true;

    }

      function insert_cuotas($params)
    {
       // $this->db->insert('microbanco_credito_cuotas',$params);
       return $this->db->insert_batch('calefones_credito_cuotas', $params);

    }

    /*
     * function to delete estado
     */
    function delete_credito($id)
    {
        return $this->db->delete('calefones_creditos',array('id'=>$id));
    }

     function get_resumen_pagos($anio=0)
    {
        $this->db->select('sum(c.monto_otorgamiento) as monto_otorgamiento,
        				   sum(c.total_credito) as total_credito,
          					');
        $this->db->from('calefones_creditos as c');
        $this->db->where('anio',$anio);
        return $this->db->get()->result_array();
    }

     function get_total_depositado($anio=0)
    {
        $this->db->select('sum(cuo.monto_depositado) as monto_depositado
          					');
        $this->db->from('calefones_credito_cuotas as cuo');
        $this->db->join('calefones_creditos as c','c.id = cuo.calefones_credito_id');

        if ($anio > 0){
     		$this->db->where('c.anio',$anio);
     	}

        return $this->db->get()->result_array();
    }

      function get_cantidad_finalizado($anio)
    {
        $this->db->select('count(c.id) as cant_finalizado
          					');
        $this->db->from('calefones_creditos as c');

        if ($anio > 0){
     		$this->db->where('c.anio',$anio);
     	}

        $this->db->where('c.finalizado',  1);
        return $this->db->get()->result_array();
    }

}
