<?php
class DProyecto_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get proyecto
     */
    function get_cant_proyectos_estados()
    {
        $this->db->select('p.estadoId,
        					count(*) as cant
						   ');
        $this->db->from('proyectos as p');
        $this->db->where('p.isDelete', 0);
        $this->db->group_by('p.estadoId');
        return $this->db->get()->result_array();
    }
      /*
     * Get proyecto
     */
    function get_cant_proyectos_areas_estados()
    {
        $this->db->select(' a.nomcorto,
						      SUM(CASE WHEN p.estadoId = 1 THEN 1 ELSE 0 END) AS planificacion,
						       SUM(CASE WHEN p.estadoId = 2 THEN 1 ELSE 0 END) AS ejecucion,
						       SUM(CASE WHEN p.estadoId = 3 THEN 1 ELSE 0 END) AS finalizados
						   ');
        $this->db->from('proyectos as p');
        $this->db->join('areas as a','a.areaId = p.areaId');
        $this->db->where('p.isDelete', 0);
        $this->db->group_by('p.areaId');
        $this->db->order_by('p.areaId', 'asc');
        return $this->db->get()->result_array();
    }

     function get_cant_proyectos_ejecucion_areas()
    {
        $this->db->select(' a.areaId, a.nomcorto,
						       SUM(CASE WHEN p.estadoId = 2 THEN 1 ELSE 0 END) AS ejecucion
						   ');
        $this->db->from('proyectos as p');
        $this->db->join('areas as a','a.areaId = p.areaId');
        $this->db->where('p.isDelete', 0);
        $this->db->group_by('p.areaId');
        $this->db->order_by('p.areaId', 'asc');
        return $this->db->get()->result_array();
    }


    /*
     * Get all proyectos
     */
    function get_all_proyectos($estado = 0)
    {
        $this->db->select('p.id,
						 	p.title,
						    p.comment,
						    p.responsable,
						    p.financiamiento,
						    p.monto,
						    p.estadoId,
						    p.prioridadId,
						    p.areaId,
						    p.permalink,
						    DATE_FORMAT(p.fechafin, "%d/%m/%Y") as fechafin,
						    DATE_FORMAT(p.fechaini, "%d/%m/%Y") as fechaini,
						    Estado.estado,
						    Prioridad.prioridad,
						    Areas.area,
						    Areas.colorFondo,
						    p.proyectoestrategico');
        $this->db->from('proyectos as p');
        $this->db->join('estadosdeproyectos as Estado','Estado.estadoId = p.estadoId');
        $this->db->join('prioridades as Prioridad','Prioridad.prioridadId = p.prioridadId');
        $this->db->join('areas as Areas','Areas.areaId = p.areaId');
        $this->db->where('p.isDelete', 0);
        if ($estado > 0)
        {
        	 $this->db->where('p.estadoId',  $estado);
        }
        $this->db->order_by('id', 'desc');
        return $this->db->get()->result_array();
    }

      /*
     * Get all proyectos por Area
     */
    function get_all_proyectos_ejecucion()
    {
        $this->db->select('proyectos.id,
						  proyectos.title,
						  areas.area,
						  proyectos.prioridadId,
						  DATE_FORMAT(Min(actividades.fechaini), "%d-%m-%Y") as minfechaini,
						  DATE_FORMAT(Max(actividades.fechafin), "%d-%m-%Y") as maxfechafin,
						  SUM((actividades.pesorelativo * actividades.avance)/100) AS  pavance,
						  SUM(actividades.pesorelativo * ((If(actividades.fechaini > CURDATE(), 0, (TimestampDiff(DAY, actividades.fechaini, If(actividades.fechafin < CurDate(), actividades.fechafin, CURDATE())))))/(TimestampDiff(DAY, actividades.fechaini, actividades.fechafin)))) AS pesperado
							');
        $this->db->from('proyectos');
        $this->db->join('actividades','actividades.proyectoId = proyectos.id');
        $this->db->join('areas','areas.areaId = proyectos.areaId');
      //  $this->db->where('proyectos.areaId', $areaId);
        $this->db->where('proyectos.isDelete', 0);
        $this->db->where('actividades.isDelete', 0);
        $this->db->where('proyectos.estadoId', 2);
        $this->db->group_by('proyectos.id');
        $this->db->order_by('proyectos.areaId');
        return $this->db->get()->result_array();
    }

     function get_proyecto_detalle($id)
    {
        $this->db->select('p.id,
						 	p.title,
						    p.comment,
						    p.responsable,
						    p.financiamiento,
						    p.monto,
						    p.estadoId,
						    p.prioridadId,
						    p.areaId,
						    p.permalink,
						    DATE_FORMAT(p.fechafin, "%d/%m/%Y") as fechafin,
						    DATE_FORMAT(p.fechaini, "%d/%m/%Y") as fechaini,
						    Estado.estado,
						    Prioridad.prioridad,
						    Areas.area,
						    Areas.colorFondo,
						    p.proyectoestrategico,
						    (Select count(*) From actividades as a where a.proyectoId = p.id and a.isDelete = 0) as cantActividad,
						    (Select count(*) From notasdeproyectos as n where n.proyectoId = p.id and n.isDelete = 0) as cantNotas,
						    (Select count(*) From alertasdeproyectos as a where a.proyectoId = p.id and a.isDelete = 0) as cantAlertas,
						    (Select count(*) From archivosdeproyectos as a where a.proyectoId = p.id and a.isDelete = 0) as cantArchivo
						    ');
        $this->db->from('proyectos as p');
        $this->db->join('estadosdeproyectos as Estado','Estado.estadoId = p.estadoId');
        $this->db->join('prioridades as Prioridad','Prioridad.prioridadId = p.prioridadId');
        $this->db->join('areas as Areas','Areas.areaId = p.areaId');
        $this->db->where('p.id', $id);
        //if($rol == ROLE_ADMIN || $rol == ROLE_MANAGER || $rol == ROLE_EMPLOYEE)
        //{
         // administrador y subadministrador
        //}
        //else
        //{
         // $this->db->where('p.areaId', $areaId);
        //}
        $this->db->where('p.isDelete', 0);
        return $this->db->get()->row_array();
    }
     /*
      * Get all actividades  del Proyecto
     */
    function get_actividades_proyecto($proyectoId)
    {
    	$this->db->select('a.id,
        					a.proyectoId,
         					DATE_FORMAT(a.fechafin, "%d/%m/%Y") as fechafin,
						    DATE_FORMAT(a.fechaini, "%d/%m/%Y") as fechaini,
						 	a.enombre,
						 	a.pesorelativo,
						 	a.avance');
        $this->db->from('actividades as a');
    	$this->db->where('a.proyectoId', $proyectoId);
    	$this->db->where('a.isDelete', 0);
        $this->db->order_by('a.id', 'desc');
        return $this->db->get()->result_array();
    }
      /*
     * Get all actividades  del Proyecto
     */
    function get_notas_proyecto($proyectoId)
    {
    	 $this->db->select('n.id,
    	 					n.proyectoId,
        				    DATE_FORMAT(n.fecha, "%d/%m/%Y") as fecha,
        					n.nota,
        					n.detalle,
        					n.prioridadId,
        					n.responsableId,
        					r.nombre,
        					n.estado
         					');
        $this->db->from('notasdeproyectos as n');
        $this->db->join('responsabledeproyectos as r','r.id = n.responsableId', 'left');
        $this->db->where('n.proyectoId', $proyectoId);
    	$this->db->where('n.isDelete', 0);
        $this->db->order_by('n.id', 'desc');
        return $this->db->get()->result_array();
    }
      /*
     * Get all actividades  del Proyecto
     */
    function get_alertas_proyecto($proyectoId)
    {
    	$this->db->select('a.id,
        				    a.proyectoId,
        				    DATE_FORMAT(a.fecha, "%d/%m/%Y") as fecha,
        					a.alerta,
        					a.detalle,
        					a.estado
         					');
        $this->db->from('alertasdeproyectos as a');
        $this->db->join('proyectos as p','p.id = a.proyectoId');
    	$this->db->where('proyectoId', $proyectoId);
    	$this->db->where('a.isDelete', 0);
        $this->db->order_by('a.id', 'desc');
        return $this->db->get()->result_array();
    }
      /*
     * Get all archivos  del Proyecto
     */
    function get_archivos_proyecto($proyectoId)
    {
    	 $this->db->select('a.id,
        				    a.proyectoId,
        				    a.fecha,
        					a.filename
         					');
        $this->db->from('archivosdeproyectos as a');
        $this->db->join('proyectos as p','p.id = a.proyectoId');
    	$this->db->where('proyectoId', $proyectoId);
    	$this->db->where('a.isDelete', 0);
        $this->db->order_by('id', 'desc');
        return $this->db->get()->result_array();
    }
     /*
     * Get Todos los Proyectos en Ejecucin cuya actividades estn programada en la semana
     */
    function get_proyectos_ejecucion_semanal($fechaini, $fechafin)
    {
        $this->db->select('proyectos.id,
						   proyectos.title,
						   actividades.enombre,
						   DATE_FORMAT(actividades.fechaini, "%d/%m/%Y") as fechaini,
						   DATE_FORMAT(actividades.fechafin, "%d/%m/%Y") as fechafin,
						   areas.area,
						   proyectos.prioridadId
								');
        $this->db->from('proyectos');
        $this->db->join('actividades','actividades.proyectoId = proyectos.id');
        $this->db->join('areas','areas.areaId = proyectos.areaId');
      //  $this->db->where('proyectos.areaId', $areaId);
        $this->db->where(array(
        					'actividades.fechaini <=' => $fechaini,
        					'actividades.fechafin >=' => $fechafin,
        					'proyectos.isDelete'=> 0,
        					'actividades.isDelete'=> 0,
                            'proyectos.estadoId'=> 2
        			));
       // $this->db->group_by('proyectos.id');
        $this->db->order_by('proyectos.areaId');
       $proyectos = $this->db->get()->result_array();
       $data = array();
       foreach($proyectos as $p){

         $data[$p['id']]['proyecto'] = $p['title'];
         $data[$p['id']]['pid'] = $p['id'];
         $data[$p['id']]['area'] = $p['area'];
         $data[$p['id']]['prioridadId'] = $p['prioridadId'];
         $data[$p['id']]['actividades'][] = array('anombre' => $p['enombre'], 'fechaini' => $p['fechaini'],'fechafin' => $p['fechafin']);
       }
       return $data;
    }

        /*
     * Get all proyectos por Area
     */
    function get_all_proyectos_ejecucion_area($areaid = 0)
    {
        $this->db->select('proyectos.id,
						  proyectos.title,
						  areas.area,
						  proyectos.prioridadId,
						  DATE_FORMAT(Min(actividades.fechaini), "%d-%m-%Y") as minfechaini,
						  DATE_FORMAT(Max(actividades.fechafin), "%d-%m-%Y") as maxfechafin,
						  SUM((actividades.pesorelativo * actividades.avance)/100) AS  pavance,
						  SUM(actividades.pesorelativo * ((If(actividades.fechaini > CURDATE(), 0, (TimestampDiff(DAY, actividades.fechaini, If(actividades.fechafin < CurDate(), actividades.fechafin, CURDATE())))))/(TimestampDiff(DAY, actividades.fechaini, actividades.fechafin)))) AS pesperado
							');
        $this->db->from('proyectos');
        $this->db->join('actividades','actividades.proyectoId = proyectos.id');
        $this->db->join('areas','areas.areaId = proyectos.areaId');
        $this->db->where('proyectos.areaId', $areaid);
        $this->db->where('proyectos.isDelete', 0);
        $this->db->where('actividades.isDelete', 0);
        $this->db->where('proyectos.estadoId', 2);

        $this->db->group_by('proyectos.id');
        $this->db->order_by('proyectos.areaId');
        return $this->db->get()->result_array();
    }

     function get_all_areas()
    {
        $this->db->where('isDelete', 0);
        $this->db->order_by('areaId', 'asc');
        return $this->db->get('areas')->result_array();
    }

}
