<?php
class EntregasCompras_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    function get_entregadeproducto($id)
    {
         $this->db->select('e.id,
         					e.empleado_id,
						    e.observaciones,
						    e.productos,
						    e.user_id,
						    e.created,
						    e.updated,
						    u.last_name,
    						u.first_name,
    						p.title as empleado
          					');
        $this->db->from('entregaproductos as e');
        $this->db->join('empleados as p','p.id = e.empleado_id', 'left');
        $this->db->join('users as u','u.id = e.user_id', 'left');
        $this->db->where('e.id',  $id);
        $this->db->order_by('e.id', 'desc');

      	return $this->db->get()->row_array();
    }

 	function get_all_entregadeproducto()
    {
         $this->db->select('e.id,
         					e.empleado_id,
						    e.observaciones,
						    e.user_id,
						    e.created,
						    e.updated,
						    u.last_name,
    						u.first_name,
    						p.title as empleado
          					');
        $this->db->from('entregaproductos as e');
        $this->db->join('empleados as p','p.id = e.empleado_id', 'left');
        $this->db->join('users as u','u.id = e.user_id', 'left');
        $this->db->order_by('e.id', 'desc');
       return $this->db->get()->result_array();
    }

    function get_all_itemsordendecompra($id)
    {
         $this->db->select('*
          					');
        $this->db->from('ordendecompraitems as i');
        $this->db->where('i.ordendecompra_id',  $id);
        $this->db->where('i.isDelete',  0);
        $this->db->order_by('i.id', 'asc');
        return $this->db->get()->result_array();
    }

    function get_all_areas()
    {
        $this->db->select('*');
        $this->db->from('areas as a');
      //  $this->db->where('v.isDelete', 0);
        $this->db->order_by('a.title', 'asc');
        return $this->db->get()->result_array();
    }

     function get_all_empleados()
    {
        $this->db->select('e.id, e.title');
        $this->db->from('empleados as e');
        $this->db->where('e.activo', 1);
        $this->db->order_by('e.title', 'asc');
        return $this->db->get()->result_array();
    }

     function get_all_productos()
    {
        $this->db->select('*');
        $this->db->from('productos as p');
        $this->db->where('p.permite_stock', 1);
        $this->db->order_by('p.descripcion', 'asc');
        return $this->db->get()->result_array();
    }

     function get_producto($id)
    {
        $this->db->select('*');
        $this->db->from('productos as p');
        $this->db->where('p.id', $id);
        return $this->db->get()->row_array();
    }

    function insert_entrega_producto($params)
    {

        $this->db->trans_begin();
        $listaProductos = json_decode($params["productos"], true);

         foreach ($listaProductos as $item) {

	       $this->db->set('stock', 'stock-'.$item['cantidad'].'', FALSE);

	       	$this->db->where('id', $item['id']);
		  	$this->db->update('productos');
         }

       	$this->db->insert('entregaproductos',$params);
       	$id_return =  $this->db->insert_id();
       	if ($this->db->trans_status() === FALSE)
		{
        	$this->db->trans_rollback();
        	return false;
		}
		else
		{
        	$this->db->trans_commit();
        	return $id_return;
		}

    }

    function get_all_ordenestados()
    {
        $this->db->select('*');
        $this->db->from('ordenestados as o');
        $this->db->where('o.mostrarenseleccion', 1);
        $this->db->order_by('o.id', 'asc');
        return $this->db->get()->result_array();
    }

     function get_ordendecompraitem_actualizarstock($id)
    {
           $this->db->select('i.id,
							    i.ordendecompra_id,
							    i.producto_id,
							    p.stock,
							    i.cantidad
          					');
        $this->db->from('ordendecompraitems as i');
        $this->db->join('productos as p','p.id = i.producto_id');
        $this->db->where('i.ordendecompra_id',  $id);
        $this->db->where('p.permite_stock',  1);
        return $this->db->get()->result_array();
    }

}
