<?php

class Microbanco_credito_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

     function get_credito($id)
    {

      $this->db->select('c.id,
        				   d.ape_nom,
                           l.localidad,
                           c.apellido,
                           c.loca,
                           c.microbanco_dato_id,
                           c.expediente_nro,
                           c.resolucion,
                           c.anio,
                           c.actividad,
                           c.fecha_otorgamiento,
                           c.cant_meses,
                           c.meses_gracia,
                           c.cuotas_pagas,
                           c.monto_otorgamiento,
                           c.total_credito,
                           c.mora,
                           c.cant_cuota_mora,
                           c.tasa_interes,
                           c.gerenar_cuota,
                           e.estado_nombre,
                            e.color as estadocolor
        					');
        $this->db->from('microbanco_creditos as c');
        $this->db->join('microbanco_datos as d','d.id = c.microbanco_dato_id');
        $this->db->join('localidades as l','l.id = d.localidad_id');
        $this->db->join('m_estados as e','e.id = d.m_estado_id');
        $this->db->where('c.id',  $id);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->row_array();
    }

    /*
     * Get estado by id
     */
    function get_credito_detalle($id)
    {
			$query = $this->db->query('Select
							    c.id,
							    c.expediente_nro,
							    c.resolucion,
							    c.anio,
							    d.ape_nom,
							    l.localidad,
							    c.actividad,
							    c.fecha_otorgamiento,
							    c.monto_otorgamiento,
							    c.total_credito,
							    c.finalizado,
							    c.finalizadoFecha,
							    sum(ROUND(cuo.monto_cuota,2)) as cal_total_credito,
							    sum(cuo.monto_depositado) as cal_total_depositado,
							    c.cant_meses,
							    Count(cuo.microbanco_credito_id) As cant_cuotas,
							    sum(if (cuo.monto_depositado > 0, 1, 0)) as cuotas_pagas,
							    c.gerenar_cuota
							From
							    microbanco_creditos as c Inner Join
							    microbanco_datos as d On c.microbanco_dato_id = d.id Inner Join
							    localidades as l On l.id = d.localidad_id left Join
							    microbanco_credito_cuotas as cuo On cuo.microbanco_credito_id = c.id
							where c.id = '.$id.'
							Group By
							    cuo.microbanco_credito_id
        					');
		return $query->result_array();
    }

    /*
     * Get all estados
     */
    function get_all_creditos($anio)
    {
     $subconsulta = '';

      if ($anio > 0){
     		$subconsulta = ' WHERE c.anio ='. $anio . ' ';
     }

      $query = $this->db->query('Select
							    c.id,
							    c.expediente_nro,
							    c.resolucion,
							    c.anio,
							    d.ape_nom,
							    l.localidad,
							    c.actividad,
							    DATE_FORMAT(c.fecha_otorgamiento, "%d/%m/%Y") as fecha_otorgamiento,
							    c.monto_otorgamiento,
							    c.total_credito,
							    sum(ROUND(cuo.monto_cuota,2)) as cal_total_credito,
							    sum(cuo.monto_depositado) as cal_total_depositado,
							    c.cant_meses,
							    Count(cuo.microbanco_credito_id) As cant_cuotas,
							    sum(if (cuo.monto_depositado > 0, 1, 0)) as cuotas_pagas,
							    c.gerenar_cuota
							From
							    microbanco_creditos as c Inner Join
							    microbanco_datos as d On c.microbanco_dato_id = d.id Inner Join
							    localidades as l On l.id = d.localidad_id left Join
							    microbanco_credito_cuotas as cuo On cuo.microbanco_credito_id = c.id
							'.$subconsulta.'
							Group By
							    c.id
							Order by c.id desc
        					');
		return $query->result_array();
    }

     function get_agregar_all_creditos()
    {
       $query =  $this->db->query('Select
						    d.ape_nom,
						    d.dni,
						    l.localidad,
						    d.id,
						    m.estado_nombre,
						    m.color as estadocolor
						From
						    microbanco_datos As d Inner Join
						    localidades as l On l.id = d.localidad_id Inner Join
						    m_estados as m On m.id = d.m_estado_id
						Where
						    (d.m_estado_id = 22 Or
						        d.m_estado_id = 4) And
						    Not Exists(Select
						         c.microbanco_dato_id
						     From
						         microbanco_creditos As c
						     Where
						         c.microbanco_dato_id = d.id)
						order by d.ape_nom
        					');

        return  $query->result_array();
    }

      function get_inscripcion($inscripcion_id = 0)
    {
    	 $this->db->select('m.id,
    	 					m.situacion,
    	 					m.convocatoria_id,
						    c.convocatoria,
						    m.localidad,
						    m.ape_nom,
    	 					m.dni,
						    m.tel,
						    m.email,
						    m.sector,
						    m.nueva_en_marcha,
						    m.inversion_a_solicitar,
						    m.fecha_capacitacion,
						    m.asistencia,
						    m.asesor_asignado,
						    c.color
          					');

        $this->db->from('microbanco_datos as m');
        $this->db->join('convocatorias as c','c.id = m.convocatoria_id');
        $this->db->where('m.id',  $inscripcion_id);

        return $this->db->get()->row_array();
    }


     /*
     * Get all estados
     */
    function get_credito_cuotas($id)
    {
        $this->db->select('c.id,
        					c.microbanco_credito_id,
        					c.estado,
        					c.nro_cuota,
        					c.fecha_vencimiento,
        					DATEDIFF(NOW(), c.fecha_vencimiento) as diasven,
        					ROUND(c.monto_cuota,2)as monto_cuota,
        					IF(c.fecha_pago != "00/00/0000",
							  IF(c.fecha_vencimiento > c.fecha_pago, 0, TIMESTAMPDIFF(DAY, c.fecha_vencimiento, c.fecha_pago))
							  , (if (c.fecha_vencimiento < NOW(), TIMESTAMPDIFF(DAY, c.fecha_vencimiento, NOW()), 0))) AS dias_mora,
        					DATE_FORMAT(c.fecha_pago, "%d/%m/%Y") as fecha_pago,
        					c.monto_depositado,
        					ROUND(c.mora,2) as mora,
        					c.tasa_interes,
        					c.interes,
        					c.observaciones
        					');
        $this->db->from('microbanco_credito_cuotas as c');
        $this->db->where('c.microbanco_credito_id',  $id);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }

       /*
     * Get all estados
     */
    function get_credito_cuotas_edit($id)
    {
        $this->db->select('c.id,
        					c.microbanco_credito_id,
        					c.estado,
        					c.nro_cuota,
        					fecha_vencimiento,
        					ROUND(c.monto_cuota, 2) as monto_cuota,
        					fecha_pago,
        					c.monto_depositado,
        					c.tasa_interes,
        					c.interes,
        					c.observaciones
        					');
        $this->db->from('microbanco_credito_cuotas as c');
        $this->db->where('c.microbanco_credito_id',  $id);
        $this->db->order_by('c.id', 'asc');
        return $this->db->get()->result_array();
    }


     /*
     * Get estado by id
     */
    function get_cuota($id)
    {
      $this->db->select('c.id,
        				   c.microbanco_credito_id,
                           c.nro_cuota,
                           c.estado,
                           c.fecha_vencimiento,
                           ROUND(c.monto_cuota, 2) as monto_cuota,
                           c.fecha_pago,
                           c.monto_depositado,
                           c.tasa_interes,
                           c.interes,
                           c.observaciones,
                           c.user_id,
                           c.user_nombre,
                           c.created,
                           c.updated,
                           d.ape_nom,
                           cre.expediente_nro
        					');
        $this->db->from('microbanco_credito_cuotas as c');
        $this->db->join('microbanco_creditos as cre','cre.id = c.microbanco_credito_id');
        $this->db->join('microbanco_datos as d','d.id = cre.microbanco_dato_id');
        $this->db->where('c.id',  $id);
        return $this->db->get()->row_array();
    }

    /*
     * function to add new estado
     */
    function add_credito($params)
    {
        $this->db->insert('microbanco_creditos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update estado
     */
    function update_credito($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('microbanco_creditos',$params);
    }

     /*
     * function to update estado
     */
    function update_cuota($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('microbanco_credito_cuotas',$params);
    }

    function update_all_cuotas($params)
    {
       foreach($params as $clave => $valor)
       {        $id = $valor['id'];

         $datos = array(
                    'fecha_vencimiento' => $valor['fecha_vencimiento'],
                    'monto_cuota' => $valor['monto_cuota'],
                   );

         $this->db->where('id',$id);
         $this->db->update('microbanco_credito_cuotas',$datos);

       }

      return true;

    }

       function insert_cuotas($params)
    {
       return $this->db->insert_batch('microbanco_credito_cuotas', $params);

    }

    /*
     * function to delete estado
     */
    function delete_credito($id)
    {
        return $this->db->delete('microbanco_creditos',array('id'=>$id));
    }

     function get_resumen_pagos($anio)
    {
        $this->db->select('sum(c.monto_otorgamiento) as monto_otorgamiento,
        				   sum(c.total_credito) as total_credito,
          					');
        $this->db->from('microbanco_creditos as c');
        if ($anio > 0){
      	  	$this->db->where('c.anio',$anio);
     	}
        return $this->db->get()->result_array();
    }

     function get_total_depositado($anio)
    {
		$this->db->select('sum(cuo.monto_depositado) as monto_depositado');
		$this->db->from('microbanco_creditos as c');
        $this->db->join('microbanco_credito_cuotas as cuo','cuo.microbanco_credito_id = c.id');

        if ($anio > 0){
     		$this->db->where('c.anio',$anio);
     	}
        return $this->db->get()->result_array();
    }

     function get_cantidad_finalizado($anio)
    {
        $this->db->select('count(c.id) as cant_finalizado
          					');
        $this->db->from('microbanco_creditos as c');
        if ($anio > 0){
     		$this->db->where('c.anio',$anio);
     	}
        $this->db->where('c.finalizado',  1);
        return $this->db->get()->result_array();
    }

     function get_creditos_cuotas_impagas($id)
    {
    	if ($id > 0) {
    	$query = $this->db->query('Select
								    c.id,
									c.monto_otorgamiento,
									c.total_credito,
									SUM(cuo.monto_cuota) AS monto_cuota_moroso,
								    count(cuo.microbanco_credito_id) as cuotas_morosas
								From
								   microbanco_creditos as c Inner Join
									 microbanco_datos as d On c.microbanco_dato_id = d.id Inner Join
									localidades as l On l.id = d.localidad_id left Join
									microbanco_credito_cuotas as cuo On cuo.microbanco_credito_id = c.id
								Where
									c.id = '.$id.' and
								    cuo.fecha_vencimiento <= NOW() And
								    cuo.monto_depositado <= 0
								group by cuo.microbanco_credito_id
								order by cuotas_morosas desc ');
		return $query->result_array();
		} else {		 return array();
		}
    }

}
