<?php


class ObraLocalidad_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_localidad($id)
    {
        return $this->db->get_where('obraslocalidades',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_localidades()
    {
        $query = $this->db->query('Select
                                    l.id,
                                    l.localidad,
                                    l.departamento_id,
                                    d.departamento
                                From
                                    obraslocalidades l Inner Join
                                    obrasdepartamentos d On d.id = l.departamento_id
								Order by l.id desc
        					');
		return $query->result_array();       
    }

    /*
     * function to add new localidad
     */
    function add_localidad($params)
    {
        $this->db->insert('obraslocalidades',$params);
        return $this->db->insert_id();
    }

    function add_departamento($params)
    {
        $this->db->insert('obrasdepartamentos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_localidad($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obraslocalidades',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_localidad($id)
    {
        return $this->db->delete('obraslocalidades',array('id'=>$id));
    }
}
