<?php

class Obra_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    function get_obra($id)
    {

      $query = $this->db->query('Select
								    o.id,
								    o.descripcion,
								    o.expediente_nro,
								    o.anio,
								    o.inicio_proyecto,
								    o.monto_final_obra,
								    o.observaciones,
								    o.created,
								    o.updated,
								    o.obralocalidad_id,
								    o.obratipo_id,
								    o.obraprioridad_id,
								    o.cant_meses,
								    o.observaciones,
								    o.fecha_iniciodeobra,
								    o.obrainicio_obs,
								    o.finalizado,
								    o.fecha_finalizaciondeobra,
								    o.obrafinalizacion_obs
								From
								    obras o
								where o.id='.$id.'
        					');
        return $query->row_array();
    }

    /*
     * Get estado by id
     */
    function get_obra_detalle($id)
     {

      $query = $this->db->query('Select
								    o.id,
								    o.descripcion,
								    o.expediente_nro,
								    o.anio,
								    o.inicio_proyecto,
								    o.monto_final_obra,
								    o.observaciones,
								    o.created,
								    o.updated,
								    l.localidad,
								    d.departamento,
								    obrastipos.tipo,
								    p.prioridad,
								    p.prioridadcolor,
								    o.cant_meses,
								    o.observaciones,
								    o.fecha_iniciodeobra,
								    o.obrainicio_obs,
								    o.finalizado,
								    o.fecha_finalizaciondeobra,
								    o.obrafinalizacion_obs
								From
								    obras o Inner Join
								    obraslocalidades l On l.id = o.obralocalidad_id Inner Join
								    obrasdepartamentos d On d.id = l.departamento_id Inner Join
								    obrastipos On obrastipos.id = o.obratipo_id Inner Join
								    obrasprioridades p On p.id = o.obraprioridad_id
								where o.id='.$id.'
								Order by o.id desc
        					');
		return $query->row_array();
    }

    /*
     * Get all Obras
     */
    function get_all_obras($dpto, $localidad, $anio)
    {
     $subconsulta = '';

      if ($anio > 0){
     		$subconsulta = ' and o.anio ='. $anio . ' ';
     }

     if ($dpto > 0){
     		$subconsulta .= ' and d.id ='. $dpto . ' ';
     }

      if ($localidad > 0){
     		$subconsulta .= ' and l.id ='. $localidad . ' ';
     }

      $query = $this->db->query('Select
								    o.id,
								    o.descripcion,
								    o.expediente_nro,
								    o.anio,
								    o.inicio_proyecto,
								    o.monto_final_obra,
								    o.observaciones,
								    o.created,
								    o.updated,
								    o.fecha_iniciodeobra,
								    l.localidad,
								    d.departamento,
								    obrastipos.tipo,
								    p.prioridad,
								    p.prioridadcolor,
    								d.id As dptoid,
    								l.id As localidadid,
    								(SELECT CONCAT(lictipo.nomcorto, " ", ol.nro, "-", ol.anio)
									From
									    obraslicitacion ol Inner Join
									    obrascagoriaslicitacion lictipo On lictipo.id = ol.obrascategoriaslicitacion_id WHERE ol.obra_id=o.id LIMIT 1) AS licitacion
								From
								    obras o Inner Join
								    obraslocalidades l On l.id = o.obralocalidad_id Inner Join
								    obrasdepartamentos d On d.id = l.departamento_id Inner Join
								    obrastipos On obrastipos.id = o.obratipo_id Inner Join
								    obrasprioridades p On p.id = o.obraprioridad_id
								WHERE 1=1
						    	'.$subconsulta.'
								Order by o.id desc
        					');
		return $query->result_array();
    }

    /*
     * function to add new estado
     */
    function add_obra($params)
    {
        $this->db->insert('obras',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update estado
     */
    function update_obra($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obras',$params);
    }

    function add_persona($params)
    {
       // $this->db->where('id',$id);
        return $this->db->insert('obraspersonasrel',$params);
    }

     function update_persona($idrel,$params)
    {
        $this->db->where('id',$idrel);
        return $this->db->update('obraspersonasrel',$params);
    }

    /*
     * function to delete estado
     */
    function delete_obra($id)
    {
        return $this->db->delete('obras',array('id'=>$id));
    }

     function get_obra_personas($id)
     {

      $query = $this->db->query('Select
								    op.id,
								    op.obra_id,
								    op.obrapersona_id,
								    op.obrapersonatipo_id,
								    op.fechadesde,
								    op.fechahasta,
								    p.apeynom,
								    p.email,
								    p.cel,
								    p.domicilio,
								    pt.personatipo
								From
								    obraspersonasrel op Inner Join
								    obraspersonas p On p.id = op.obrapersona_id Inner Join
								    obraspersonastipos pt On pt.id = op.obrapersonatipo_id
								where op.obra_id='.$id.'
								Order by op.id desc
        					');
		return $query->result_array();
    }

    function get_obrapersonarel($id)
    {

      $query = $this->db->query('Select
								    op.id,
								    op.obra_id,
								    op.obrapersona_id,
								    op.obrapersonatipo_id,
								    op.fechadesde,
								    op.fechahasta,
								    o.descripcion,
								    o.expediente_nro
								From
								    obraspersonasrel op Inner Join
								    obras o On o.id = op.obra_id
								where op.id='.$id);

	  return $query->row_array();

     }

      function get_obra_archivos($id)
     {

      $query = $this->db->query('Select
								    a.id,
								    a.obra_id,
								    a.obraarchivotipo_id,
								    a.filename,
								    a.descripcion,
								    a.fecha,
								    a.user_id,
								    a.user_nombre,
								    a.created,
								    a.updated,
								    t.archivotipo
								From
								    obrasarchivos a Inner Join
								    obrasarchivostipos t On t.id = a.obraarchivotipo_id
								where a.obra_id='.$id.'
								Order by a.id desc
        					');
		return $query->result_array();
    }

    function add_archivo($params)
    {
        return $this->db->insert('obrasarchivos',$params);
    }

     function add_licitacion($params)
    {
        return $this->db->insert('obraslicitacion',$params);
    }

     function update_licitacion($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obraslicitacion',$params);
    }

      function get_all_obra_licitacion($id)
     {

      $query = $this->db->query('Select
								    l.id,
								    l.obra_id,
								    l.nro,
								    l.anio,
								    tipo.title,
								    tipo.nomcorto,
								    l.obrascategoriaslicitacion_id,
								    l.fecha_concurso,
								    l.anulado,
								    l.anulado_fecha,
								    l.hora_concurso,
								    l.lugar_apertura,
								    l.observaciones
								From
								    obraslicitacion l Inner Join
								    obrascagoriaslicitacion tipo On tipo.id = l.obrascategoriaslicitacion_id
								where l.obra_id='.$id.'
								Order by l.id desc
        					');
		return $query->result_array();
    }

     function get_obra_licitacion($id)
     {

      $query = $this->db->query('Select
								    l.id,
								    l.obra_id,
								    l.nro,
								    l.anio,
								    tipo.title,
								    tipo.nomcorto,
								    l.obrascategoriaslicitacion_id,
								    l.fecha_concurso,
								    l.hora_concurso,
								    l.lugar_apertura,
								    l.anulado,
								    l.anulado_fecha,
								    l.observaciones
								From
								    obraslicitacion l Inner Join
								    obrascagoriaslicitacion tipo On tipo.id = l.obrascategoriaslicitacion_id
								where l.id='.$id);
		return $query->row_array();
    }

	function get_obra_licitacion_apertura($idlic)
     {
      $query = $this->db->query('Select
									p.title,
									p.cuit,
									la.id,
									la.obraslicitacion_id,
									la.obrasproveedor_id,
									la.sobreNro,
									la.polizaNro,
									la.polizaMonto,
									la.monto_oficial,
									la.observaciones As observaciones1,
									la.rechazado
								From
									obraslicitacionapertura la Inner Join
									obrasproveedores p On p.id = la.obrasproveedor_id
								where la.id='.$idlic);
		return $query->row_array();
    }

     function get_obra_licitacion_proveedores($id)
     {

      $query = $this->db->query('Select
								    l.id,
								    l.obra_id,
								    p.title,
								    p.cuit,
								    la.obraslicitacion_id,
								    la.obrasproveedor_id,
								    la.sobreNro,
								    la.polizaNro,
								    la.polizaMonto,
								    la.monto_oficial,
								    la.observaciones As observaciones1,
								    la.rechazado
								From
								    obraslicitacion l Inner Join
								    obraslicitacionapertura la On la.obraslicitacion_id = l.id Inner Join
								    obrasproveedores p On p.id = la.obrasproveedor_id
								Where l.id='.$id);
		return $query->result_array();
    }

     function get_ver_obra_licitacion($id)
     {

      $query = $this->db->query('Select
							    l.id,
							    l.obra_id,
							    l.nro,
							    l.anio,
							    tipo.title,
							    tipo.nomcorto,
							    l.obrascategoriaslicitacion_id,
							    l.fecha_concurso,
							    l.hora_concurso,
							    l.lugar_apertura,
							    l.anulado,
							    l.anulado_fecha,
							    l.observaciones,
							    o.descripcion,
							    o.expediente_nro,
							    o.anio As anio1
							From
							    obraslicitacion l Inner Join
							    obrascagoriaslicitacion tipo On tipo.id = l.obrascategoriaslicitacion_id Inner Join
							    obras o On o.id = l.obra_id
								where l.id='.$id);
		return $query->row_array();
    }

     function get_ver_obra_licitacion_proveedores($idlic)
     {

      $query = $this->db->query('Select
								    la.id,
								    p.title,
								    p.cuit,
								    la.obraslicitacion_id,
								    la.obrasproveedor_id,
								    la.sobreNro,
								    la.polizaNro,
								    la.polizaMonto,
								    la.monto_oficial,
								    la.observaciones,
								    la.rechazado
								From
								    obraslicitacionapertura la Inner Join
								    obrasproveedores p On p.id = la.obrasproveedor_id
								Where la.obraslicitacion_id='.$idlic);
		return $query->result_array();
    }


    function add_obraproveedor($params)
    {
        $this->db->insert('obrasproveedores',$params);
        return $this->db->insert_id();
    }

    function add_oferta($params)
    {
        $this->db->insert('obraslicitacionapertura',$params);
        return $this->db->insert_id();
    }

     function add_obraplazo($params)
    {
        $this->db->insert('obrasplazos',$params);
        return $this->db->insert_id();
    }

     function add_obrapresupuesto($params)
    {
        $this->db->insert('obraspresupuestos',$params);
        return $this->db->insert_id();
    }

    function get_all_obra_plazo($id)
     {

      $query = $this->db->query('Select
							    p.id,
							    p.obra_id,
							    p.cantidaddias,
							    p.obrasplazotipo_id,
							    p.fechadesde,
							    p.fechahasta,
							    p.observaciones,
							    t.title
							From
							    obrasplazos p Inner Join
							    obrasplazotipos t On t.id = p.obrasplazotipo_id
								where p.obra_id='.$id.'
								Order by p.id asc
        					');
		return $query->result_array();
    }

     function get_all_obra_presupuesto($id)
     {

      $query = $this->db->query('Select
								    p.id,
								    p.monto,
								    p.obraspresupuestotipos_id,
								    p.observaciones,
								    t.title
								From
								    obraspresupuestos p Inner Join
								    obraspresupuestotipos t On t.id = p.obraspresupuestotipos_id
								where p.obra_id='.$id.'
								Order by p.id desc
        					');
		return $query->result_array();
    }

      function get_obra_plazo($idplazo)
     {

      $query = $this->db->query('Select
							    p.id,
							    p.obra_id,
							    p.cantidaddias,
							    p.obrasplazotipo_id,
							    p.fechadesde,
							    p.fechahasta,
							    p.observaciones,
							    t.title
							From
							    obrasplazos p Inner Join
							    obrasplazotipos t On t.id = p.obrasplazotipo_id
								where p.id='.$idplazo.'
								Order by p.id asc
        					');
		return $query->row_array();
    }

     function get_obra_presupuesto($id)
     {

      $query = $this->db->query('Select
								    p.id,
								    p.obra_id,
								    p.monto,
								    p.obraspresupuestotipos_id,
								    p.observaciones,
								    t.title
								From
								    obraspresupuestos p Inner Join
								    obraspresupuestotipos t On t.id = p.obraspresupuestotipos_id
								where p.obra_id='.$id.'
								Order by p.id desc
        					');
		return $query->row_array();
    }

     function update_plazo($idplazo,$params)
    {
        $this->db->where('id',$idplazo);
        return $this->db->update('obrasplazos',$params);
    }

     function update_presupuesto($idpre,$params)
    {
        $this->db->where('id',$idpre);
        return $this->db->update('obraspresupuestos',$params);
    }



      function get_obra_archivo($idarch)
     {

      $query = $this->db->query('Select
								    a.id,
								    a.obra_id,
								    a.obraarchivotipo_id,
								    a.filename,
								    a.descripcion,
								    a.fecha,
								    a.user_id,
								    a.user_nombre,
								    a.created,
								    a.updated,
								    t.archivotipo,
								    obras.descripcion As obradescripcion
								From
								    obrasarchivos a Inner Join
								    obrasarchivostipos t On t.id = a.obraarchivotipo_id Inner Join
								    obras On a.obra_id = obras.id
								Where
								    a.id = '.$idarch );
		return $query->row_array();
    }


      function update_archivo($idarch,$params)
    {
        $this->db->where('id',$idarch);
        return $this->db->update('obrasarchivos',$params);
    }


     function get_obra_insumo($id)
     {

      $query = $this->db->query('Select
								    i.id,
								    i.obra_id,
								    i.descripcion,
								    i.obrainsumoestado_id,
								    i.observaciones,
								    e.title,
								    obras.descripcion As descripcionobra
								From
								    obrasinsumos i Inner Join
								    obrainsumoestados e On e.id = i.obrainsumoestado_id Inner Join
								    obras On i.obra_id = obras.id
								where i.id='.$id.'
								Order by i.id desc
        					');
		return $query->row_array();
    }

     function add_obrainsumo($params)
    {
        $this->db->insert('obrasinsumos',$params);
        return $this->db->insert_id();
    }


      function update_obrainsumo($idpre,$params)
    {
        $this->db->where('id',$idpre);
        return $this->db->update('obrasinsumos',$params);
    }

     function get_all_obra_insumo($id)
     {

      $query = $this->db->query('Select
								    i.id,
								    i.obra_id,
								    i.descripcion,
								    i.obrainsumoestado_id,
								    i.observaciones,
								    e.title as estado
								From
								    obrasinsumos i Inner Join
    							obrainsumoestados e On e.id = i.obrainsumoestado_id
								where i.obra_id='.$id.'
								Order by i.id desc');
		return $query->result_array();
    }


}
