<?php
class UsuarioMicrobanco_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }
       /*

      /*
     * Get all inscripciones
     */
    function get_administrar_inscripciones($convocatoria = 0, $estado = 0,  $localidad = 0, $asesor = 0, $evaluador = 0, $anio=0)
       {

       /* if ($estado > 0) {
     	 $this->db->where('c.estado_id',  $estado);
        }
         if ($persona > 0) {
     	 $this->db->where('c.persona_id',  $persona);
        }
            */

         $this->db->select('m.id,
         					m.m_estado_id,
    	 					m.ape_nom,
    	 					m.tel,
    	 					m.email,
    	 					m.dni,
    	 					m.asesor_id,
    	 					m.evaluador_id,
                            c.convocatoria,
                            c.color,
                            l.localidad,
                            e.estado_nombre,
                            e.color as estadocolor,
                            ase.nom_ape as asesor,
                            eva.nom_ape as evaluador
          					');
        $this->db->from('microbanco_datos as m');
        $this->db->join('convocatorias as c','c.id = m.convocatoria_id');
        $this->db->join('localidades as l','l.id = m.localidad_id');
        $this->db->join('m_estados as e','e.id = m.m_estado_id');
        $this->db->join('m_asesor as ase', 'ase.id = m.asesor_id', 'left');
        $this->db->join('m_evaluador as eva', 'eva.id = m.evaluador_id', 'left');

        $this->db->where('m.anio',  $anio);

        if ($convocatoria > 0) {
     	 $this->db->where('m.convocatoria_id',  $convocatoria);
        }

        if ($estado > 0) {
     	 $this->db->where('m.m_estado_id',  $estado);
        }

         if ($localidad > 0) {
     	 $this->db->where('m.localidad_id',  $localidad);
        }

        if ($asesor > 0) {
     	 $this->db->where('m.asesor_id',  $asesor);
        }

        if ($evaluador > 0) {
     	 $this->db->where('m.evaluador_id',  $evaluador);
        }
        $this->db->order_by('m.id', 'asc');
        return $this->db->get()->result_array();
    }

     function get_inscripcion($inscripcion_id = 0)
    {
    	 $this->db->select('m.id,
    	 					m.situacion,
    	 					m.convocatoria_id,
						    c.convocatoria,
						    m.localidad_id,
						    m.localidad,
						    m.m_estado_id,
						    m.ape_nom,
    	 					m.dni,
						    m.tel,
						    m.email,
						    m.sector,
						    m.nueva_en_marcha,
						    m.inversion_a_solicitar,
						    m.fecha_capacitacion,
						    m.asistencia,
						    m.asesor_asignado,
    	 					m.asesor_id,
    	 					m.evaluador_id,
						    c.color,
						    l.localidad,
						    e.estado_nombre,
                            e.color as estadocolor
          					');

        $this->db->from('microbanco_datos as m');
        $this->db->join('convocatorias as c','c.id = m.convocatoria_id');
        $this->db->join('localidades as l','l.id = m.localidad_id');
         $this->db->join('m_estados as e','e.id = m.m_estado_id');
        $this->db->where('m.id',  $inscripcion_id);

        return $this->db->get()->row_array();
    }

     /*
     * function to update calefones_inscripcion
     */
    function update_inscripcion($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('microbanco_datos',$params);
    }

     /*
     * function to update calefones_inscripcion
     */
    function add_historial_estados($params)
    {
        $this->db->insert('microbanco_historial_estados',$params);
        return $this->db->insert_id();
    }

     function get_all_inscipcion_historial_estados($id)
    {

        $this->db->select('h.id,
        					e.estado_nombre,
    						DATE_FORMAT(h.fecha, "%d/%m/%Y") as fecha,
    						h.observaciones
          					');
        $this->db->from('m_estados as e');
        $this->db->join('microbanco_historial_estados as h','e.id = h.m_estado_id');
        $this->db->where('h.inscripcion_id', $id);
         $this->db->order_by('h.id', 'desc');
        return $this->db->get()->result_array();
    }

    function edit_alerta($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('microbanco_alertas',$params);
    }


    function add_alerta($params)
    {
        $this->db->insert('microbanco_alertas',$params);
        return $this->db->insert_id();
    }


    function get_alertas($id = 0)
    {
         $this->db->select('a.id,
						    a.fecha_alerta,
						    a.inscripcion_id,
						    a.nota,
						    a.detalle,
						    a.activo
          					');
        $this->db->from('microbanco_alertas as a');
         $this->db->where('a.inscripcion_id', $id);
        $this->db->where('a.isDelete', 0);

        $this->db->order_by('a.fecha_alerta', 'desc');
        return $this->db->get()->result_array();
    }

     function get_alerta($id = 0)
    {
         $this->db->select('a.id,
         					a.inscripcion_id,
						    a.fecha_alerta,
						    a.nota,
						    a.detalle,
						    a.activo
          					');
        $this->db->from('microbanco_alertas as a');
        $this->db->where('a.id', $id);
        return $this->db->get()->row_array();
    }

     function add_inscripcion($params)
    {
        $this->db->insert('microbanco_datos',$params);
        return $this->db->insert_id();
    }

      /*
     * function Acutalizar Microbanco
     */
    function update_inscripcion_microbanco($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('microbanco_datos',$params);
    }

    function get_all_count_inscripcion_estados()
    {
          $this->db->select('m.id,
    	 					m.convocatoria_id,
    	 					e.estado_nombre,
    	 					e.id as estadoid,
    	 					e.color,
    	 					e.icono,
    	 					e.color_hex,
    	 					count(*) As cantidad
          					');
        $this->db->from('microbanco_datos as m');
        $this->db->join('m_estados as e','e.id = m.m_estado_id');
     	$this->db->group_by('e.id');
        $this->db->order_by('e.orden', 'asc');
        return $this->db->get()->result_array();
    }

    function get_all_inscripciones_estado($estado = 0)
    {
    	//echo $estado;
         $this->db->select('m.id,
    	 					m.ape_nom,
    	 					e.estado_nombre,
    	 					e.color as estado_color,
    	 					m.tel,
    	 					m.email,
    	 					m.dni,
                            c.convocatoria,
                            c.color,
                            l.localidad,
                            ase.nom_ape as asesor,
                            eva.nom_ape as evaluador
          					');
        $this->db->from('microbanco_datos as m');
        $this->db->join('convocatorias as c','c.id = m.convocatoria_id');
        $this->db->join('localidades as l','l.id = m.localidad_id');
        $this->db->join('m_estados as e','e.id = m.m_estado_id');
        $this->db->join('m_asesor as ase', 'ase.id = m.asesor_id', 'left');
        $this->db->join('m_evaluador as eva', 'eva.id = m.evaluador_id', 'left');
     	$this->db->where('m.m_estado_id',  $estado);
        $this->db->order_by('m.id', 'asc');
        return $this->db->get()->result_array();
    }

    function get_edit_hitorial_estado($historial_id = 0)
    {

        $this->db->select('h.id,
        					h.inscripcion_id,
        					h.m_estado_id,
        					e.estado_nombre,
    						fecha,
    						h.observaciones,
    						d.ape_nom,
    						d.dni,
    						d.localidad_id,
    						l.localidad
          					');
        $this->db->from('m_estados as e');
        $this->db->join('microbanco_historial_estados as h','e.id = h.m_estado_id');
        $this->db->join('microbanco_datos as d', 'h.inscripcion_id = d.id');
        $this->db->join('localidades as l', 'l.id = d.localidad_id');
        $this->db->where('h.id', $historial_id);
        return $this->db->get()->row_array();
    }

    function update_historial_estados($id,$params)
    {
       $this->db->where('id',$id);
       return $this->db->update('microbanco_historial_estados',$params);
    }

     /*
     * function to delete persona
     */
    function delete_historial($id)
    {
        return $this->db->delete('microbanco_historial_estados',array('id'=>$id));
    }



}
