<?php

class Vehiculo_calendario_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

     /*
     * Get all vehiculo
     */
    function get_all_vehiculos_calendario()
    {
        $this->db->select('cal.id,
        					cal.descripcion,
        					cal.fecha_desde,
        					cal.fecha_hasta,
        					a.nom_ape,
        					v.patente,
        					v.marca,
        					v.modelo,
        					v.color_calendario,
        					concat(v.patente, " ** ", v.marca, " ** " , v.modelo) as nombre

          					');
        $this->db->from('vehiculos_calendario as cal');
        $this->db->join('vehiculos as v','v.id = cal.vehiculo_id');
        $this->db->join('vehiculos_autorizacion as a','a.id = cal.vehiculo_autorizacion_id');
        $this->db->where('cal.isDelete', 0);
        $this->db->order_by('cal.id', 'desc');
        return $this->db->get()->result_array();

    }

     function get_all_vehiculos_calendario_ajax($range_start, $range_end)
    {

        $fecha_start = date("Y-m-d", strtotime($range_start));
        $fecha_end = date("Y-m-d", strtotime($range_end));
        $conditions = '(cal.fecha_desde BETWEEN "'.$fecha_start.'" AND "'.$fecha_end.'" or cal.fecha_hasta BETWEEN "'.$fecha_start.'" AND "'.$fecha_end.'")';

        $this->db->select('cal.id,
        					cal.descripcion,
        					cal.fecha_desde,
        					cal.fecha_hasta,
        					a.nom_ape,
        					v.patente,
        					v.marca,
        					v.modelo,
        					v.color_calendario,
        					concat(v.patente, " ** ", v.marca, " ** " , v.modelo) as nombre

          					');
        $this->db->from('vehiculos_calendario as cal');
        $this->db->join('vehiculos as v','v.id = cal.vehiculo_id');
        $this->db->join('vehiculos_autorizacion as a','a.id = cal.vehiculo_autorizacion_id');
        $this->db->where('cal.isDelete', 0);
        $this->db->where($conditions);
        $this->db->order_by('cal.id', 'desc');
        return $this->db->get()->result_array();

    }

      /*
     * Get notas_Vehiculo
     */
    function get_vehiculo_calendario($id)
    {
        return $this->db->get_where('vehiculos_calendario',array('id'=>$id))->row_array();
    }

    /*
     * function Nuevo Vehiculo
     */
    function add_vehiculo_calendario($params)
    {
        $this->db->insert('vehiculos_calendario',$params);
        return $this->db->insert_id();
    }

    /*
     * function Acutalizar Vehiculo
     */
    function update_vehiculo_calendario($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('vehiculos_calendario',$params);
    }


}
