<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Tu Hogar Sustentable: Inscripciones - <?php echo $anio; ?></h1>
            <br/>
             <a href="<?php echo site_url('Calefones/index/2023'); ?>" class="btn btn-warning btn-sm">  Inscripciones 2023</a>
              <a href="<?php echo site_url('Calefones/index/2022'); ?>" class="btn btn-success btn-sm">  Inscripciones 2022</a>
              <a href="<?php echo site_url('Calefones/index/2021'); ?>" class="btn btn-info btn-sm">  Inscripciones 2021</a>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item active">Hogar Sustentable</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	      <div class="row">
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <h3><?php if(isset($total_inscriptos)) { echo $total_inscriptos; } else { echo '0'; } ?></h3>

                <p>Total de Inscriptos</p>
              </div>
              <div class="icon">
                <i class="fas fa-id-card"></i>
              </div>
              <a href="<?php echo base_url('Calefones/incripciones/'.$anio); ?>" class="small-box-footer">M&aacute;s Info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->

            <?php foreach($estados as $e){ ?>

	          <div class="col-lg-3 col-6">
	            <!-- small box -->
	            <div class="small-box <?php if(empty($e['color'])) { echo 'bg-white'; } else { echo $e['color']; } ?>">
	              <div class="inner">
	                <h3><?php if(isset($e['cantidad'])) { echo $e['cantidad']; } else { echo '0'; } ?></h3>

	                <p><?php echo $e['estado_nombre'] ?></p>
	              </div>
	              <div class="icon">
	                <i class="fas <?php if(empty($e['icono'])) { echo 'fa-cog'; } else { echo $e['icono']; } ?>"></i>
	              </div>
	              <a href="<?php echo base_url('Calefones/listado/'.$e['id'].'/'.$anio); ?>" class="small-box-footer">M&aacute;s Info <i class="fas fa-arrow-circle-right"></i></a>
	            </div>
	          </div>

            <?php } ?>
          <!-- ./col -->
        </div>

          <!-- Mostrar Graficos Inscripciones estados y Localidad -->
	       <div class="row">
          	<div class="col-12">
		         <div class="card card-success">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por Localidad</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="localidadBarChart" style="min-height: 250px; height: 400px; max-height: 400px; max-width: 100%; display: block; width: 487px;" width="487" height="400" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body stackedBarChart-->
		            </div>
		     </div>
		 </div>
         <!-- Fin Mostrar Graficos Inscripciones estados y Localidad -->

         <!-- Mostrar tabla por localidad y estados -->
         <div class="row">
		    <div class="col-md-12">
		        <div class="card card-outline card-success">
			          <div class="card-header">
		              </div>
		              <div class="card-body">
              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
			            <thead>
		                    <tr>
								<th bgcolor="#ececec">Localidad</th>
								<th>Sin Asignar</th>
								<th>En Verificaci&oacute;n</th>
								<th>Factibilidad T&eacute;cnica</th>
								<th>Armado de Carpeta</th>
								<th>Inicio Expediemte</th>
								<th>Rechazadas</th>
								<th>Entregadas</th>
								<th bgcolor="#ececec">Total</th>
		                    </tr>
		                    </thead>
			                <tbody>
		                    <?php foreach($localidades as $l){ ?>
		                    <tr>
								<td bgcolor="#ececec"><?php echo $l['localidad']; ?></td>
								<td><?php echo $l['sinasignar']; ?></td>
								<td><?php echo $l['verificacion']; ?></td>
								<td><?php echo $l['factibilidad']; ?></td>
								<td><?php echo $l['informe_evaluador']; ?></td>
								<td><?php echo $l['inicio_expediente']; ?></td>
								<td><?php echo $l['rechazados']; ?></td>
								<td><?php echo $l['aprobados']; ?></td>
								<td bgcolor="#ececec" class="d-flex justify-content-center"><strong>&nbsp;<?php echo $l['total']; ?>&nbsp;</strong></td>
		                    </tr>
		                    <?php } ?>
		                     </tbody>
		                </table>

		            </div>
		        </div>

		</div>
	</div>
	    <!-- Fin Mostrar tabla por localidad y estados -->

	    <!-- Mostrar Inscripciones por Evaluador -->
        <div class="row">
          	<div class="col-12">
		         <div class="card card-success">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por evaluador asignado</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart" style="min-height: 250px; height: 400px; max-height: 400px; max-width: 100%; display: block; width: 487px;" width="487" height="400" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
		 </div>
         <!-- Fin Mostrar Inscripciones por Evaluador -->
        <?php

?>
	</div>

 </section>
 <script>
  $(function () {
    var areaChartData = {
      labels  : [<?php echo $talabels;?>],
      datasets: [
        {
          label               : 'Sin Asignar',
          backgroundColor     : '#20c997',
          borderColor         : '#20c997',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tasinverificacion;?>]
        },
        {
          label               : 'En Verificaci\u00F3n',
          backgroundColor     : '#ffc107',
          borderColor         : '#ffc107',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $taverificacion;?>]
        },
        {
          label               : 'Factibilidad T\u00E9cnica',
          backgroundColor     : '#ff851b',
          borderColor         : '#ff851b',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tafactibilidad;?>]
        },
         {
          label               : 'En Espera de Documentaci\u00F3n',
          backgroundColor     : '#0074d9',
          borderColor         : '#0074d9',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tainforme_evaluador;?>]
        },
         {
          label               : 'Inicio Expediente',
          backgroundColor     : '#01ff70',
          borderColor         : '#01ff70',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tainicio_expediente;?>]
        },
         {
          label               : 'Rechazadas',
          backgroundColor     : '#dc3545',
          borderColor         : '#dc3545',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [<?php echo $tarechazados;?>]
        },
        {
          label               : 'Entregadas',
          backgroundColor     : '#28a745',
          borderColor         : '#28a745',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [<?php echo $taaprobados;?>]
        },
      ]
    }

    var localidadChartData = {
      labels  : [<?php echo $loclabels;?>],
      datasets: [
        {
          label               : 'Sin Asignar',
          backgroundColor     : '#20c997',
          borderColor         : '#20c997',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $locsinasignar;?>]
        },
        {
          label               : 'En Verificaci\u00F3n',
          backgroundColor     : '#ffc107',
          borderColor         : '#ffc107',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $locverificacion;?>]
        },
        {
          label               : 'Factibilidad T\u00E9cnica',
          backgroundColor     : '#ff851b',
          borderColor         : '#ff851b',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $locfactibilidad;?>]
        },
         {
          label               : 'En Espera de Documentaci\u00F3n',
          backgroundColor     : '#0074d9',
          borderColor         : '#0074d9',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $locinforme_evaluador;?>]
        },
         {
          label               : 'Inicio Expediente',
          backgroundColor     : '#01ff70',
          borderColor         : '#01ff70',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $locinicio_expediente;?>]
        },
         {
          label               : 'Rechazadas',
          backgroundColor     : '#dc3545',
          borderColor         : '#dc3545',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [<?php echo $locrechazados;?>]
        },
        {
          label               : 'Entregadas',
          backgroundColor     : '#28a745',
          borderColor         : '#28a745',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [<?php echo $locaprobados;?>]
        },
      ]
    }

    //---------------------
    //- STACKED BAR CHART -
    //---------------------
    var stackedBarChartCanvas = $('#stackedBarChart').get(0).getContext('2d')
  	var stackedBarChartData = jQuery.extend(true, {}, areaChartData)

    var localidadBarChartCanvas = $('#localidadBarChart').get(0).getContext('2d')
    var localidadBarChartData = jQuery.extend(true, {}, localidadChartData)

    var stackedBarChartOptions = {
      responsive              : true,
      maintainAspectRatio     : false,
      scales: {
        xAxes: [{
          stacked: true,
        }],
        yAxes: [{
          stacked: true
        }]
      }
    }

   var stackedBarChart = new Chart(stackedBarChartCanvas, {
      type: 'bar',
      data: stackedBarChartData,
      options: stackedBarChartOptions
    })

    var localidadBarChart = new Chart(localidadBarChartCanvas, {
      type: 'bar',
      data: localidadBarChartData,
      options: stackedBarChartOptions
    })
  })
</script>

