<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Hogar Sustentable: Todas las Inscripciones - <?php echo $anio; ?></h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item"><a href="<?php echo base_url('Calefones/index/'. $anio); ?>">Hogar Sustentable</a></li>
              <li class="breadcrumb-item active">Inscripciones</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	   <div class="row">
	        <div class="card card-outline card-info">
	          <div class="card-header">
                <form class="form-inline" action="<?php echo base_url('Calefones/incripciones/'.$anio) ?>" method="POST">
                	<div class="form-group">
						<select name="estado_id" class="form-control">
							<option value="">Seleccionar estado</option>
							<?php
							foreach($all_estados as $estado)
							{
								$selected = ($estado['id'] == $estado_inscripcion) ? ' selected="selected"' : "";

								echo '<option value="'.$estado['id'].'" '.$selected.'>'.$estado['estado_nombre'].'</option>';
							}
							?>
						</select>
					</div>
					&nbsp;&nbsp;&nbsp;
					<div class="form-group">
							<select name="persona_id" class="form-control">
								<option value="">Seleccionar evaluador</option>
								<?php
								foreach($all_personas as $persona)
								{
									$selected = ($persona['id'] == $persona_inscripcion) ? ' selected="selected"' : "";

									echo '<option value="'.$persona['id'].'" '.$selected.'>'.$persona['nom_ape'].'</option>';
								}
								?>
							</select>
						</div>
                 	&nbsp;&nbsp;&nbsp;
                 <button type="submit" class="btn btn-default">Filtrar</button>
          		</form>
              </div>
              <div class="card-body">
                    <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
			                <thead>
			                  <tr>
			                    <th>ID</th>
							    <th>Fecha</th>
							    <th>Email</th>
							    <th>Nombre y Apellido</th>
							    <th>DNI</th>
							    <th>Estado</th>
							    <th>Evaluador</th>
							    <th>M&aacute;s Info</th>
			                  </tr>
			                </thead>
			                <tbody>
		                    <?php foreach($tareas as $t){ ?>
		                    <tr>
		                        <td><?php echo $t['id']; ?></td>
							    <td><?php echo $t['fecha']; ?></td>
							    <td><?php echo $t['email']; ?></td>
							    <td><?php echo $t['ape_nom']; ?></td>
							    <td><?php echo $t['dni']; ?></td>
							    <td>
								 	<span class="badge <?php echo $t['color'];?>">
								 	   <?php echo $t['estado_nombre'];?>
				                     </span>
								</td>
								<td><?php echo $t['nombre_evaluador']; ?></td>
								<td>
								  <a class="btn btn-sm btn-primary" href="<?php echo site_url('Calefones/tdetalle/'.$t['id']. '/'. $anio); ?>" title="M&aacute;s Informaci&oacute;n">
		                          <i class="fa fa-plus-circle"></i>
		                        </a>
		                        </td>
		                    </tr>
		                    <?php } ?>
		                </table>
       		 </div>
       		 </div>
       </div>
	</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-tareas').DataTable({
            dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [10, 15, 25, 50, -1],
                [10, 15, 25, 50, "Todos"]
            ],

            //Dil
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "https://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'excelHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "Excel",
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": [],
            responsive: true
        });
    });
</script>